# <svg viewBox="0 0 24 24" width="1em"> <path fill="currentColor" d="M16.61 15.15C16.15 15.15 15.77 14.78 15.77 14.32S16.15 13.5 16.61 13.5H16.61C17.07 13.5 17.45 13.86 17.45 14.32C17.45 14.78 17.07 15.15 16.61 15.15M7.41 15.15C6.95 15.15 6.57 14.78 6.57 14.32C6.57 13.86 6.95 13.5 7.41 13.5H7.41C7.87 13.5 8.24 13.86 8.24 14.32C8.24 14.78 7.87 15.15 7.41 15.15M16.91 10.14L18.58 7.26C18.67 7.09 18.61 6.88 18.45 6.79C18.28 6.69 18.07 6.75 18 6.92L16.29 9.83C14.95 9.22 13.5 8.9 12 8.91C10.47 8.91 9 9.24 7.73 9.82L6.04 6.91C5.95 6.74 5.74 6.68 5.57 6.78C5.4 6.87 5.35 7.08 5.44 7.25L7.1 10.13C4.25 11.69 2.29 14.58 2 18H22C21.72 14.59 19.77 11.7 16.91 10.14H16.91Z" /></svg> Android

## Externe Tastatur
Über die kommerzielle App [External Keyboard Helper](https://play.google.com/store/apps/details?id=com.apedroid.hwkeyboardhelper&hl=de) lässt sich für externe (Bluetooth-)Tastaturen das Neo-Layout konfigurieren.

## Interne Tastatur (Software-Tastatur)
Für die auf dem Display eingeblendete Tastatur gibt es die App „[Multiling O Keyboard](https://play.google.com/store/apps/details?id=kl.ime.oh)“ (O steht für „omni“, lateinisch für „alle“), die  sehr viele Sprachen und Schriften und auch eigene Layouts unterstützt.

Es ist dabei auch sinnvoll für die jeweilige Sprache das Zusatz-Plugin (App aus dem Google Playstore) für bessere Wortvorhersagen zu installieren. Zum Beispiel:

| Sprache |
|---|
| [Deutsch](https://play.google.com/store/apps/details?id=klye.plugin.de&hl=de) |
| [Englisch](https://play.google.com/store/apps/details?id=klye.plugin.en)      |
| [Spanisch](https://play.google.com/store/apps/details?id=klye.plugin.es)      |
| [Französisch](https://play.google.com/store/apps/details?id=klye.plugin.fr&hl=de) |
| [Linux Keyboard Plugin](https://play.google.com/store/apps/details?id=klye.plugin.lx)        |


### Treiberdateien
Moritz hat das Neo-Layout als JSON-Skript erstellt ([multiling-o-keyboard_neo.json](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/android/multiling-o-keyboard_neo.json)), dessen Inhalt man in der App einfügen kann.

  - [Sym]   = [Mod3]
  - [AltGr] = [Mod4]

### Wie aktivieren
Zuerst einmal die [Multiling O Tastatur](https://play.google.com/store/apps/details?id=kl.ime.oh) installieren und als Tastatur auswählen.

#### Haupttastatur

1. Inhalt des [multiling-o-keyboard_neo.json](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/android/multiling-o-keyboard_neo.json)-Skripts komplett markieren und kopieren
2. von der Leertaste auf „Layouts...“ swypen,
3. [+DIY]
4. „Einfügen“ drücken
5. mit „OK“ bestätigen.

!!! bug "Probleme"
    - Ebene 6: ließ sich nur über AltGr+Shift realisieren, quasi Mod4+Shift
    - Ebene 3: Compose und "Zeichen drehen" nicht verfügbar
    - Ebene 2: umgekehrter Tabulator nicht vorhanden (in Multiling nicht unterstützt?)
    - Ziffernblock (Numpad): nur Ebene 1 weil Multiling O nicht mehr unterstützt.
    - Das No-Break Space (U+00A0) auf Ebene 5 wird nicht unterstützt oder es ist unbekannt, wie es umgesetzt werden kann, daher wird stattdessen das normale Space erzeugt
    - Weiteres siehe Ticket [#476](https://git.neo-layout.org/neo/neo-layout/issues/476)

#### Ziffernblock
Es gibt ein weiteres Layout, um den Ziffernblock mit all seinen Ebenen anzuzeigen.

1. Inhalt des [multiling-o-keyboard_neo_numpad.json](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/android/multiling-o-keyboard_neo_numpad.json)-Skripts komplett markieren und kopieren
2. ab hier wie bei Haupttastatur Schritt 2.

!!! missing "Fehlende Unterstützung"
    Nur Ebene 1, weil Multiling O nicht mehr unterstützt.


### Wie deaktivieren

!!! info "Abschnitt neu formulieren"
    Wieder auf QWERTZ-Tastatur lässt sich zurückschalten, indem man von der Leertaste auf „Layouts...“ swypet und dort eine andere Belegung (zum Beispiel QWERTZ) auswählt oder indem man von der Leertaste auf „Tastaturen...“ swypet und die Standard-Tastatur des Geräts auswählt.

### Für Googlelose
Eine Alternative, die man in Google Play aber vor allem auch im Standardrepository von F-Droid findet, ist **AnySoftKeyboard**, für welches es ein Neo2-Add-On gibt.

1. In F-Droid nach AnySoftKeyboard suchen und (die Haupt-App) installieren
2. Dann Neo2 suchen und den derzeit (2017-12-03) einzigen Treffer installieren.

Beim ersten Start von ASK wird ein Einrichtungs-Wizard abgehandelt.

!!! tip "Hinweis"
    In den Einstellungen in der Übersicht der Layouts wählt man nicht ein einzelnes Layout, mit dem man arbeiten möchte, sondern markiert jene, die einem im normalen Betrieb zum Wechseln zur Verfügung stehen sollen.

Zwischen der alphanumerischen Hauptebene, zwei Symbolebenen und dem Ziffernblock wechselt man durch Wischen nach rechts/links auf der Tastatur oder der Leertaste (verschiedene Aktionen, die unterschiedlich belegt werden können). Weitere Zusatzbelegungen der Tasten erreicht man durch antippen und halten, wobei man in der Hauptebene die meisten Zusätze erfährt.
