# Griechisch schreiben

Neo ist ein deutsches Tastaturlayout. Deshalb ist es nicht darauf optimiert, griechischen Fließtext zu schreiben, sondern eher dafür gedacht, griechische Formelzeichen und eventuell kurze griechische Zitate zu schreiben. Trotzdem ist recht viel Griechisch möglich und diese Seite soll dabei helfen, diese Möglichkeiten zu nutzen. Es gibt auch einen Griechisch-Modus, der für das schreiben längerer Texte gedacht ist, siehe unten.

Eine gute Einführung für Linux gibt es unter [http://www.stefanluecking.de/exegese/unicode/linux-griechisch.html](http://www.stefanluecking.de/exegese/unicode/linux-griechisch.html).

## Wie lassen sich die griechischen Buchstaben schreiben?
Die griechischen Kleinbuchstaben und ein Teil der Großbuchstaben sind direkt auf der Haupttastatur auf der fünfte und sechste Ebene erreichbar.
Die anderen Großbuchstaben sehen im griechischen und lateinischen Alphabet gleich aus. Da diese aus diesem Grund nicht in mathematischen Formeln verwendet werden, hat man sich entschieden, auf Ebene 6 den Platz dafür mit anderen Zeichen zu belegen. Um trotzdem die entsprechenden griechischen Buchstaben tippen zu können, muss Compose verwendet werden:
z.B. ♫gA oder ♫GA ergibt Α.

Das griechische Kolon (·) ist auf 5(4) erreichbar, d.h. Mod4+5.

### Fünfte und sechste Ebene der Tastatur (nur Griechisch)
```
┌───┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬──┬─────┐ ┌───┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬──┬─────┐ 
│T1 │ │ │ │ │ │6│ϰ│8│ │ │ │T2│Back │ │T1 │ │ │ │ │ │ │ │ │ │ │ │T2│Back │ 
├───┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬─┴┬────┤ ├───┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬─┴┬────┤ 
│Tab │ξ│ │λ│χ│ω│κ│ψ│γ│φ│ϕ│ς│T3│Ret │ │Tab │Ξ│ │Λ│ │Ω│ │Ψ│Γ│Φ│ │ │T3│Ret │ 
├────┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬─┴┐   │ ├────┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬─┴┐   │ 
│ M3  │ │ι│α│ε│ο│σ│ν│ρ│τ│δ│υ│M3│   │ │ M3  │ │ │ │ │ │Σ│ │ │ │Δ│ │M3│   │ 
├───┬─┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴──┴───┤ ├───┬─┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴──┴───┤ 
│Ums│M4│ │ϵ│η│π│ζ│β│μ│ϱ│ϑ│θ│ Umsch │ │Ums│M4│ │ │ │Π│ │ │ │ │ │Θ│ Umsch │ 
├───┼──┼─┴┬┴─┴─┴─┴─┴─┴┬┴─┼─┴┬──┬───┤ ├───┼──┼─┴┬┴─┴─┴─┴─┴─┴┬┴─┼─┴┬──┬───┤ 
│Str│Fe│Al│Leerzeichen│M4│Fe│Me│Str│ │Str│Fe│Al│Leerzeichen│M4│Fe│Me│Str│ 
└───┴──┴──┴───────────┴──┴──┴──┴───┘ └───┴──┴──┴───────────┴──┴──┴──┴───┘ 
```

Aber Achtung: Nicht alle der griechischen Kleinbuchstaben sind für griechischen Text geeignet!
Es gibt einige Zeichen, die nur für mathematische Formeln gedacht sind. Das sind: ϰ, ϕ, ϵ, ϱ und ϑ. Wenn die Zeichen im griechischen Text ein solches Aussehen haben sollen, dann sollte das über die Schriftart eingestellt werden und nicht über die Kodierung. Siehe dazu auch [http://www.tlg.uci.edu/~opoudjis/unicode/letters.html](http://www.tlg.uci.edu/~opoudjis/unicode/letters.html).

## Wie lassen sich griechische Buchstaben mit Akzenten schreiben?

| Wie erzeugen | Beispiel   | Akzentbezeichnung                 |
| :---: | :---: | :---: |
| T3(1)α       | ά          | Akut                              |
| T2(1)α       | ὰ          | Gravis                            |
| T3(2)α       | ᾶ          | Zirkumflex                        |
| T2(4)ι       | ϊ          | Trema                             |
| T2(4)T3(1)ι  | ΐ          | Trema und Akut                    |
| T2(4)T2(1)ι  | ῒ          | Trema und Gravis                  |
| T2(2)α       | ᾳ          | Iota subscriptum                  |
| T2(2)T3(1)α  | ᾴ          | Iota subscriptum und Akut         |
| T2(2)T2(1)α  | ᾲ          | Iota subscriptum und Gravis       |
| T2(2)T3(2)α  | ᾷ          | Iota subscriptum und Zirkumflex   |
| T2(5)α       | ἁ          | Spiritus asper                    |
| T3(5)α       | ἀ          | Spiritus lenis                    |
| …            | ἅ          |                                   |
|              | ἄ          |                                   |
|              | ἃ          |                                   |
|              | ἂ          |                                   |
|              | ἇ          |                                   |
|              | ἆ          |                                   |
|              | ᾇ          |                                   |
|              | ἅ          |                                   |
|              | ἂ          |                                   |
|              | ἇ          |                                   |
|              | ᾇ          |                                   |
| ♫gA          | Α          | Griechisches großes Alpha         |
| T2(5)♫gA     | Ἁ          | … mit Spiritus asper              |
| T3(5)♫gA     | Ἀ          | … mit Spiritus lenis              |


### Legende/Abkürzungen
Bei „Wie erzeugen“ werden die Tasten/Zeichen nacheinander eingegeben. 
T1, T2 und T3 stehen für die drei „toten Tasten“ auf der Neo-Tastatur.
T1 ist ganz links, in der obersten Reihe der Tastatur neben der 1,
T2 liegt in der obersten Reihe zwei Tasten rechts neben der 0, 
und T3 rechts der Taste für das ß.  
In Klammern dahinter steht jeweils die Ebene: T2(3) heißt also dritte Ebene von T2, Mod3+T2

## Lassen sich auch Zeichen wie Digamma und Qoppa schreiben?
Ein paar gibt es bereits als Compose-Sequenz. Sie sind der unteren Tabelle zu entnehmen. Dies sind jedoch sehr spezielle Zeichen, die nur für altgriechische Texte oder als Zahlzeichen verwendet werden.

| ♫gF, ♫gf | Ϝ, ϝ         | Digamma (Zahlwert 6)            |
| :---: | :---: | :---: |
| ♫Στ, ♫στ | Ϛ, ϛ         | Stigma (στ-Ligatur, Zahlwert 6) |
|          | Ϟ, ϟ         | Qoppa (Zahlzeichen 90)          |
| ♫gQ, ♫gq | Ϙ, ϙ         | Archaisches Qoppa               |
|          | Ϡ, ϡ         | Sampi (Zahlzeichen 900)         |
| ˞♫gK, ˞κ | Ϗ, ϗ         | και-Ligatur                     |
|          | Ϻ, ϻ         | San                             |
| ♫ωπ, ♫πω | ϖ            | π-Variante                      |
|          | Ͱ, ͱ         | Heta                            |

Eine Übersicht über alle griechischen Zeichen im Unicode bietet [http://www.unicode.org/charts/PDF/U0370.pdf](http://www.unicode.org/charts/PDF/U0370.pdf).

## Griechisch-Modus
Parallel zu Neo2 gibt es eine Griechisch-Variante, dass die ersten beiden Ebenen durch die entsprechenden griechischen Zeichen ersetzt. Damit lassen sich auch Großbuchstaben bequem eingeben und, da die Zeichen, die nur für mathematische Formeln gedacht sind, ausgeblendet werden, haben wir die freien Plätze mit anderen Zeichen gefüllt.

Hier das Layout:
```
┌───┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬──────┐┌───┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬──────┐
│ ˆ │1│2│3│4│5│6│7│8│9│0│-│`│ Back ││ ˇ │°│§│ℓ│»│«│$│€│„│“│”│—│¸│ Back │
├───┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬─────┤├───┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬─────┤
│ 4Lk│ξ│ϝ│λ│χ│ω│κ│ψ│γ│φ│ϙ│ς│᾿│ Ret ││    │Ξ│Ϝ│Λ│Χ│Ω│Κ│Ψ│Γ│Φ│Ϙ│ │˜│ Ret │
├────┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴─┐   │├────┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴─┐   │
│ M3  │ʹ│ι│α│ε│ο│σ│ν│ρ│τ│δ│υ│M3│   ││ M3  │͵│Ι│Α│Ε│Ο│Σ│Ν│Ρ│Τ│Δ│Υ│M3│   │
├───┬─┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴──┴───┤├───┬─┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴──┴───┤
│Ums│M4│ϡ│ϟ│η│π│ζ│β│μ│,│.│θ│ Umsch ││Ums│M4│Ϡ│Ϟ│Η│Π│Ζ│Β│Μ│–│•│Θ│ Umsch │
├───┼──┼─┴┬┴─┴─┴─┴─┴─┴┬┴─┼─┴┬──┬───┤├───┼──┼─┴┬┴─┴─┴─┴─┴─┴┬┴─┼─┴┬──┬───┤
│Str│Fe│Al│geschützt ⍽│M4│Fe│Me│Str││Str│Fe│Al│Leerzeichen│M4│Fe│Me│Str│
└───┴──┴──┴───────────┴──┴──┴──┴───┘└───┴──┴──┴───────────┴──┴──┴──┴───┘
```

Dazu muss man zunächst die Griechisch-Variante laden, z.B. über 
„setxkbmap de neo_griechisch“.
