# Neo einrichten

!!! warning "Todo"
    Nur Kopie der alten Texte, bitte sichten/aktualisieren.
    Links anpassen
    
Nachdem du dich ein wenig mit Neo beschäftigt und ein paar Erfahrungsberichte gelesen hast und dir über alle Vor- und Nachteile von Neo im Klaren bist, bist du nun bereit, auf Neo umzusteigen und es dafür zunächst einzurichten. Auch wenn du natürlich die Möglichkeit hast, Neo „nur mal kurz“ auszuprobieren, empfehlen wir dir eher, dich ganz bewusst für oder gegen einen Umstieg auf Neo zu entscheiden und dann auch dabei zu bleiben.

Keine Panik: Das Einrichten ist einfacher, als die Länge dieser Seite befürchten lässt. Diese Seite dient als Überblick und Einstieg in die einzelnen Anleitungen. Da Neo auf verschiedenen Systemen eingerichtet werden kann, gibt es für jedes System eine eigene Anleitung.

Die im folgenden Absatz verwiesenen Anleitungen sind möglichst ausführlich geschrieben.  


## [Windows](../windows)

!!! warning "Todo"
    * Hilfe per Chat/ML

Das Neo-Tastaturlayout ist standardmäßig nicht in Windows enthalten und muss manuell nachinstalliert werden. Dies kann derzeitig auf zwei verschiedenen Wegen durchgeführt werden. Welcher der richtige ist, hängt von den eigenen Bedürfnissen ab. Wichtig ist, dass Du vor allem eine Schriftart (z.B. [Deja-Vu](http://dejavu.sourceforge.net/wiki/index.php/Download) oder [Libertine](http://sourceforge.net/project/showfiles.php?group_id=89513)) installierst, die alle Neozeichen enthält. Diese sollte auch in den Anwendungen, die Du verwendest, eingestellt sein.

Auch unter Windows hat nicht jeder vollen Zugriff (Administrator-Rechte) auf den vor ihm stehenden Computer (beispielsweise in der Firma oder Universität). Es gibt ebenfalls einen portablen Treiber mittels *[Autohotkey](https://www.autohotkey.com/)* und einen systemweiten, genannt *kbdneo2*.

Bei Problemen hilft ein Blick in die unter [FAQ](../FAQ) stehende Liste der [bekannten Probleme unter Windows](../FAQ#Windows). 

- **[NeoVars-Treiber](../neovars)**  
  Dieser Treiber ist in der Autohotkey-Skriptsprache geschrieben und eignet sich vor allen Dingen zum Ausprobieren bzw. für die kurzfristige Nutzung an fremden Rechnern, aber auch zur dauerhaften Installation ohne Administratorrechte. Zum Starten dieses Treibers reicht ein einfacher Doppelklick auf eine ».exe«-Datei aus. 
- **[kbdneo-Treiber](../kbdneo)**  
  Mit diesem Treiber kann man Neo permanent auf seinem Rechner als »echtes« Tastaturlayout für alle Benutzer installieren. Dadurch wird eine bessere Systemintegration erreicht, allerdings benötigt man auch Administratorrechte. 
- **[neo2-llkh-Treiber](https://github.com/MaxGyver83/neo2-llkh)**  
  Dieser Treiber benötigt weder eine Installation noch Administratorrechte. Man lädt nur eine ».exe«-Datei und eine Text-Datei für die Einstellungen herunter. Obiger Link zeigt auf das zugehörige GitHub-Repository. Darin ist auch eine README-Datei mit weiteren Infos enthalten.  
 
!!! warning "Todo"
    ]lles ab hier …

## [Linux](https://git.neo-layout.org/neo/neo-layout/wiki/Neo-unter-Linux-einrichten) ##

Neo ist unter Linux schon dabei (seit 2006). Jedoch nicht immer die aktuellste Version: Teils nur Version 1.0, manchmal auch eine Testversion von Neo 2.
Da nicht jeder volle Zugriffsrechte (root-Rechte) auf seinem Linuxrechner (beispielsweise in der Firma oder Universität) hat, gibt es eine portable Version mittels *xmodmap* und eine systemweite mittels *setxkbmap*. Genaueres im Artikel [Neo unter Linux einrichten](Neo-unter-Linux-einrichten).


## [Mac OS X](Neo-auf-dem-Apple-Macintosh-einrichten) ##

Wer einen *schönen* Mac hat, möchte ihn auch *schön* und einfach bedienen. Dafür eignet sich Neo vorzüglich. Siehe [Neo auf dem Apple Macintosh einrichten](Neo-auf-dem-Apple-Macintosh-einrichten).


## [FreeBSD, OpenBSD, NetBSD](Neo-unter-FreeBSD-einrichten) ##

Eines der freiesten Betriebssysteme und an Universitäten nach wie vor verbreitet: FreeBSD. Und das sicherste System will auch sicher bedient werden:  OpenBSD. Das portable NetBSD unterstützt Neo natürlich auch.  Siehe [Neo unter BSD einrichten](Neo-unter-FreeBSD-einrichten).


## [Solaris/SunOS](Neo-unter-Solaris-einrichten) ##

Da Solaris ein unixoides Betriebssystem ist, lassen sich im wesentlichen die Linux-Treiber nutzen. Genauere Infos gibt es unter [Neo unter Solaris einrichten](Neo-unter-Solaris-einrichten).


## [Commodore 64](Neo-auf-dem-C64-einrichten) ##

Da nicht jeder das Geld für einen aktuellen Rechner hat, wurden sogar Treiber für immer noch verwendete Computer wie den [Commodore 64](http://de.wikipedia.org/wiki/Commodore_64) geschrieben. Eine Anleitung steht im Artikel [Neo auf dem C64 einrichten](Neo-auf-dem-C64-einrichten).

## [Android](Neo-unter-Android-einrichten) ##

Immer weniger Menschen (relativ gesehen) verwenden „echte“, große Computer (Desktop-Systeme oder Laptops). Glücklicherweise kann man auch direkt auf dem Telefon oder Tablet oder mit einer externen Tastatur an diesen Geräten mit Neo tippen, siehe [Neo unter Android einrichten](Neo-unter-Android-einrichten).

## Sonstiges

### [Neo immer und überall dabei per USB-Stick](Neo-für-unterwegs)

!!! warning "Todo"
   * Wikieintrag: [Neo für unterwegs](https://git.neo-layout.org/neo/neo-layout/wiki/Neo-für-unterwegs)

Auf vielen Rechnern ist noch kein Neo vorhanden (Windows) oder nur eine veraltete Version (Linux). Mit der auf einen USB-Stick kopierten Portable-Version kann man auch auf solchen Rechnern mit Neo schreiben. Siehe dazu [Neo für unterwegs](Neo-für-unterwegs).



### [Neo schon beim Starten (Bootloader GRUB)](Neo-im-GRUB-einrichten)

Wer schon beim Starten seines Rechners mit Neo arbeiten möchte und nicht [LILO](http://de.wikipedia.org/wiki/LILO), sondern [GRUB](http://de.wikipedia.org/wiki/GRUB) verwendet, der hat es einfach: [Neo im GRUB einrichten](Neo-im-GRUB-einrichten).


### [Virtuelle Maschinen](Virtuelle-Maschinen)

Wird ein Betriebssystem in einer Virtuellen Maschine installiert, „konkurrieren“ die Tastaturbelegungen von Wirt und Gast miteinander. In den meisten Fällen ist die des Gastes entscheidend, weitere Infos und Problemlösungen gibt es unter [Virtuelle Maschinen](Virtuelle-Maschinen).
