# <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="1em"><path fill="currentColor" d="M3,12V6.75L9,5.43V11.91L3,12M20,3V11.75L10,11.9V5.21L20,3M3,13L9,13.09V19.9L3,18.75V13M20,13.25V22L10,20.09V13.1L20,13.25Z" /></svg> kbdneo (nativ)

kbdneo ist ein natives Tastaturlayout für Windows. Es wird nach der Installation auf dieselbe Weise wie die mitgelieferten Layouts (z.B. Englisch, Französisch, Dvorak) ausgewählt. Generell wird es für alle Nutzer empfohlen, die Administratorrechte besitzen.

kbdneo gibt es ebenso in den Varianten Bone und Neoqwertz.

## Download

Die verschiedenen Varianten von kbdneo sind unter folgenden Links verfügbar:

| Layout | 64-Bit (empfohlen) | 32-Bit |
| -------- | -------- | -------- |
| Neo2     | [kbdneo64.zip](http://neo-layout.org/download/kbdneo64.zip) | [kbdneo32.zip](http://neo-layout.org/download/kbdneo32.zip) |
| Bone     | [kbdbone64.zip](http://neo-layout.org/download/kbdbone64.zip) | [kbdbone32.zip](http://neo-layout.org/download/kbdbone32.zip) |
| Qwertz   | [kbdqwertz64.zip](http://neo-layout.org/download/kbdqwertz64.zip) | [kbdqwertz32.zip](http://neo-layout.org/download/kbdqwertz32.zip) |
| Qwertz<br>(ß unten, Bindestrich oben) | [kbdqwertz_eszett64.zip](http://neo-layout.org/download/kbdqwertz_eszett64.zip) | [kbdqwertz_eszett32.zip](http://neo-layout.org/download/kbdqwertz_eszett32.zip) |

Bei der letzten Variante sind ß und Bindestrich im Unterschied zu Qwertz getauscht. Alle horizontalen Striche sind somit auf der Strichtaste von Neo zu finden.

!!! important "Hinweis"
    In einzelnen Fällen bemängelt der Browser beim Download, dass das Archiv unsicher oder gefährlich sei. Dies liegt an den enthaltenen .exe-Dateien im Zip-Archiv. Um den Download trotzdem durchzuführen, auf „Beibehalten“ (oder ähnlich) klicken.

Die Versionen sind unter Windows 10 getestet. Sie funktionieren ohne Einschränkung auch unter Windows 7 und (vermutlich) Vista. Ältere Windows-Versionen werden nicht mehr offiziell unterstützt.


## Manuelle Installation

!!! warning "Bitte beachten"
    Die Installation des Layouts in Windows 10 erfordert die Einhaltung der Reihenfolge des nachfolgenden Ablaufs. Wird diese nicht beachtet, können unerwartete Fehler auftreten oder das Layout nicht in der Liste erscheinen.

  1. Entpacken des heruntergeladenen Archivs in ein Verzeichnis nach Wahl
  2. Kopieren der .dll-Datei im Unterverzeichnis `System32` nach `C:\Windows\System32`. Dies geschieht am besten mit dem Windows-Explorer. Wenn Windows nach Zugriffsrechten fragt, müssen diese gewährt werden.
  3. Kopieren der .dll-Datei im Unterverzeichnis `SysWOW64` entsprechend nach `C:\Windows\SysWOW64`. Bei der 32-Bit-Version (nur für 32-Bit-Systeme!) entfällt dieser Punkt.
  4. Ausführen der Datei `kbdneo_win10_install.reg`, welche das Layout in der Registry einträgt. Auch hier die Zugriffsrechte bestätigen.
  5. Neu starten. Nicht bloß den Benutzer ab- und anmelden, sondern Windows neu starten.

Damit steht das Tastaturlayout im System zur Verfügung. Als nächstes stellen wir das Layout in den Spracheinstellungen für den Benutzer ein. Dazu die Windows-Einstellungen öffnen, „Zeit und Sprache“ auswählen, auf „Sprache“ klicken.

![screenshot](images/kbdneo_settings1.png)

Im unteren Teil unter „Bevorzugte Sprachen“ klicken wir auf Deutsch und dann auf „Optionen“. Das nächste Fenster listet uns die bisher aktivierten Tastaturen auf, in der Regel nur „Deutsch (QWERTZ)“. Hier fügen wir Neo hinzu mit „Tastatur hinzufügen“ und wählen „Deutsch (Neo 2.0 ergonomisch)“ aus (für Bone bzw. Neoqwertz entsprechend mit anderem Text).

![screenshot](images/kbdneo_settings2.png)

Wenn man ausschließlich Neo benutzen möchte, könnte man entsprechend das QWERTZ-Layout auf ähnliche Weise löschen. Meist hat es sich jedoch als praktisch erwiesen, Qwertz als Option beizubehalten. Um Neo als primäres Layout festzulegen, gehen wir zum vorigen Bildschirm zurück und wählen „Tastatur“ (unter Sprache).

![screenshot](images/kbdneo_settings3.png)

In der oberen Auswahlliste wählt man nun statt des Systemstandards explizit Neo (bzw. Bone / Neoqwertz) aus. Nun startet Windows mit aktiviertem Neo-Layout.

![screenshot](images/kbdneo_settings4.png)

### Ergänzendes AutoHotkey-Skript

Einige spezielle Funktionen lassen sich nicht über einen nativen Tastaturtreiber belegen. Dazu gehören die Pfeiltasten, Entfernen, Seite hoch/runter, Einfügen, Pos1 und Ende. Ebenso ist das Einrasten von Modifieren (Capslock bzw. Mod4-Lock) treibertechnisch nicht direkt möglich.

Diese beiden Mängel werden durch ein ergänzendes, auf AutoHotkey basierendes Skript behoben, das beim Anmelden ausgeführt werden sollte (ins Autostartverzeichnis kopieren). Dies ist ebenfalls im Archiv unter `kbdneo.exe` enthalten. Es rüstet die fehlenden Funktionen nach und ermöglicht Capslock, Mod4-Lock und eine vollständige vierte Ebene.

!!! important "Wichtig"
    Wenn ein Programm mit Administrator-Rechten gestartet wird, bleibt das Neo-Layout aktiv. Die Funktionen des Ergänzungsskripts laufen dagegen leider nicht automatisch im Admin-Modus. Sollten diese erforderlich sein (in der Regel startet man Programme nur kurzzeitig als Admin), es ist dafür notwendig, das Skript ein zweites Mal und dabei _im Admin-Modus_ zu starten.


### Deinstallation

Die Deinstallation läuft am Besten in umgekehrter Reihenfolge zur Installation ab:

  1. In den Einstellungen das fragliche Layout aus der Liste entfernen
  2. Die Registry-Uninstall-Datei `kbd_win10_uninstall.reg` aufrufen und bestätigen
  3. Die beiden `kbdneo.dll`-Dateien aus `C:\Windows\System32` und `SysWOW64` löschen
  4. Windows neu starten

Auch bei einem Wechseln des Layouts, z.B. von Neo nach Bone, wird zuerst die vollständige Deinstallation empfohlen. Auf den Neustart kann verzichtet werden, wenn man anschließend eine Installation des anderen Layouts nach Anleitung vornimmt.


## Features

### Bildschirmtastatur

Die Bildschirmtastatur (BST) von Windows ist nicht kompatibel mit auf Neo basierenden Layouts. Daher stellt Neo eine eigene BST (im Stile von NeoVars, jedoch abgespeckt) bereit. Wenn man das Ergänzungsskript gestartet hat, wird die Tastatur mit Mod4+F7 eingeblendet bzw. versteckt. Sie zeigt die Zeichen der jeweils aktiven Ebene an, abhängig von den gedrückten Mod-Tasten.

### Wechseln zwischen Neo und Qwertz

Wenn beide Layouts in Windows für den Benutzer eingerichtet sind, kann man zwischen ihnen mit Windows-Taste + Leertaste umschalten. Die Umschaltung wirkt sich standardmäßig auf alle bereits gestarteten Anwendungen aus.


## Häufige Fehler

### Mein ß ist ein ö!

Dieser Fehler tritt auf, wenn das Ergänzungsskript gestartet wird, aber Neo _zum Zeitpunkt des Programmstarts_ nicht das aktive Layout war. 

**Abhilfe:** Entweder Neo als primäres Layout einrichten (siehe [Manuelle Installation](#manuelle-installation)), oder das Layout temporär zu Neo umschalten, bevor das Skript gestartet wird.

Nach dem korrekten Start des Skripts kann man beliebig das Layout wechseln, ohne dass es zu plötzlichen Problemen führt. Jedoch wird empfohlen, bei längerer Verwendung von Qwertz das Skript über sein Kontextmenü zu deaktivieren (siehe Neo-Symbol im Systray), um Probleme in der vierten Ebene zu vermeiden.
