# FAQ

!!! warning "Fehlerhafte Links"
    Einige Links zu anderen Dokuseiten funktionieren (noch) nicht und sind auch nicht umgestellt auf die Endung `.md`. Bitte passt die Links an, sobald die entsprechenden Seiten bereitstehen.

!!! info "Obsolete Fragen"
    Einige Fragen sind bereits seit längerem gelöst oder obsolet geworden. Bitte durchsehen und bei Bedarf entfernen.

## Allgemeine Fragen

#### Dauert es lange, bis man Neo beherrscht?

Die Buchstabenebenen zu lernen dauert keinesfalls länger als QWERTZ zu lernen.
Wenn man nicht bereit ist, die Zeit ins Blindschreiben-lernen zu investieren sollte man auf jeden Fall bei QWERTZ bleiben, da Neo im 2-Finger-Suchmodus nur wenige Vorteile bietet.

Da Neo die Sonderzeichen (z.B. / \ [ ] $ > =) auf ergonomisch günstigere Positionen legt ist es ratsam diese auch auswendig zu Lernen (bzw. auf der Tastatur zu beschriften) das stellt einen zusätzlichen Lernaufwand dar.


#### Ist Neo denn wirklich schneller als QWERT?

Wenn man sich anschaut, welche Virtuosität Pianisten erreichen und welche Geschwindigkeiten/Fehlerquote bei Meisterschaften im Tastschreiben erreicht werden wird schnell klar, dass die menschliche Ergonomie so gut ist, dass sie jede noch so schlechte Tastaturbelegung „ausbügeln“ kann.
Das heißt nicht, dass man mit Neo _nicht_ schneller schreiben kann, auf jeden Fall kann man aber mit QWERTZ so schnell schreiben, dass der Flaschenhals im täglichen Arbeiten nicht das drücken der Buchstaben ist.

Was in Meisterschaften etc. natürlich nicht berücksichtigt wird ist die Navigation sowie die vielfache Eingabe von Programmier- und Sonderzeichen.

#### Lohnt es sich für die Finger und die Gelenke Neo zu erlernen?

Ob es die Erkrankungen reduziert ist nicht wissenschaftlich belegt, Fakt ist allerdings, dass man kürzere Wege mit den Fingern zurücklegen und sich weniger „verrenken“ muss.
Spätestens wenn man sich beim täglichen Arbeiten an schwierigen Griffen oder ungünstigen Buchstabenfolgen stört, sollte man sich überlegen ob es einem Wert ein anderes Layout zu lernen.

#### Ist es sinnvoll, diese neue Belegung zu benutzen?

Das kann natürlich nicht allgemein beantwortet werden.
Vorausgesetzt, man arbeitet oft genug am Rechner, dass man blind schreiben möchte, sollte man überlegen, ob man folgenden Aussagen zustimmen kann:

 * Ich kann QWERTZ mit über 300 Anschlägen pro Minute schreiben.
 * Ungünstige Buchstabenfolgen stören mich nicht.
 * Ich benötige in der Computerbenutzung keine Programmier- und Sonderzeichen (z.B. / \ [ ] $ > = )
 * Ich navigiere meistens mit der Maus und habe kein Problem mit dem ständigen Wechsel zur Tastatur.
 * Ich arbeite sehr oft an fremden Rechnern auf denen ich das Tastaturlayout nicht umstellen kann.
Je mehr der Aussagen man mit „nein“ beantwortet, desto sinvoller ist es Neo zu lernen.

#### Wo kann ich Fragen zu Neo stellen?
Es gibt eine [Mailingliste](Mailingliste) (Email-Verteiler). Auf dieser werden Fragen beantwortet und Neo weiter entwickelt.

Außerdem kann man es auch im [Neo-Chat](IRC) versuchen. Dort werden Fragen direkt und sofort beantwortet (wenn man nicht gerade morgens um 4 dort auftaucht und alle Anwesenden schlafen).

Ansonsten erst mal diese FAQ (= „Frequently Asked Questions“ = „häufige Fragen“) durchlesen:

#### Gibt es keine Feststell-/Capslock-Taste? Kann ich nicht mehr dauernd groß schreiben?
Die Dauergroßschreib-Funktionalität erhält man, indem man **beide**
Umschalt-Tasten kurz gleichzeitig drückt. Zum temporären Ausschalten **eine** der beiden Umschalt-Tasten gedrückt halten und Buchstaben schreiben. Zum Ausschalten wieder **beide** Umschalttasten drücken.

Genau so funktioniert auch der Mod4-Lock (nur jeweils mit den entsprechenden Mod4-Tasten), mit dem man sich den Ziffernblock auf die Haupttastatur holen kann.

#### Warum gibt es manche Tasten doppelt? Z. B. die Pfeiltasten, die Esc-Taste usw. Außerdem auch »~« und »!^«?
Diese sind dazu da, dass man seine Hände nicht vom normalen Eingabefeld der Tastatur nehmen muss. Wenn man die Mod4-Taste drückt ist die gesamte Tastatur (außer den Funktionstasten) im Zehnfingersystem erreichbar.  
Da die Mod4-Taste nicht von Allen benutzt wird, sind diese Tasten auch auf ihrer alten Position verfügbar.
Die Tilde (~) und der Zirkumflex (!^) sind als tote und untote Tasten vorhanden. Mit den toten kann man Buchstaben wie â, ô, û und ñ schreiben, indem man nacheinander die tote Taste und den Buchstaben drückt. Bei der untoten Taste erscheint das Zeichen direkt.

#### Wieso sind die Sonderzeichen – !<>=;?()-:+%&"'~$|#\/{}*@_[]!^ – so angeordnet, wie sie angeordnet sind? Wie ist man darauf gekommen?
Die Sonderzeichen wurden für Neo 2 nach ähnlichen Kriterienzugeordnet, wie schon die Buchstaben für Neo 1. Also nicht nur nach
Häufigkeit und guter Erreichbarkeit, sondern auch nach in den gängigen Programmier-, Skript- und Auszeichnungssprachen häufig vorkommenden Bi- und
Trigrammen. Siehe dazu die Liste der [Sonderzeichenbigramme](Sonderzeichenbigramme).

#### Was sind die korrekten Benennungen der einzelnen Ebenen?
Es gibt keine offiziellen korrekten Benennungen. Auf der Mailingliste haben sich jedoch folgende Bezeichnungen etabliert:

 * Ebene 1 (kein Mod): Kleinbuchstaben („Klein“)
 * Ebene 2 (Mod2): Großbuchstaben („Groß“, „Umschalt-Ebene“, „Shift-Ebene“, …)
 * Ebene 3 (Mod3): Sonder- und Interpunktionszeichen („So/Int“, …)
 * Ebene 4 (Mod4): Navigation und Ziffernblock („Nav/Num“, „Navigations-Ebene“, „Ziffern-Ebene“, „Steuer-Ebene“ …)
 * Ebene 5 (Mod3+Mod2): Griechische Kleinbuchstaben („Griechisch-Klein“, „Griechische-Ebene“, „Griech“, …)
 * Ebene 6 (Mod3+Mod4): Mathematische Zeichen („Mat/Nat“, „Griechisch-Groß“, „Naturwissenschaftliche-Ebene”, „MINT“, …)

#### Wie kann ich die für m², cm³ usw. benötigten „Hoch-2“ (²) oder „Hoch-3“ (³) schreiben?
Dazu gibt es 3 Wege:
 1. Die wichtigen Hochzahlen ¹,² und ³ liegen auf Mod3+1, Mod3+2 und Mod3+3
 1. Mit dem toten !^ auf der Taste links neben der 1 und dann die Zahl (also !^1=¹, !^2=², !^3=³, !^4=⁴ usw.).
 1. Mit der Compose-Taste, dem nicht-toten !^ und der Zahl (also ♫+!^+1=¹, ♫+!^+2=² usw.)
Auch die Zeichen +,-,(,),= sowie die Buchstaben i und n können hochgestellt werden.

Des Weiteren können über Compose+_+… oder Mod3+Akut(Taste rechts neben dem scharfen S),… Zeichen tiefgestellt werden (Indizes, ♫+_+1=₁, ♫+_+2=₂ usw).

#### Wann wird eigentlich in der deutschen Sprache welcher Binde-/Gedanken/Bis-Strich verwendet?
#### Welche sind die deutschen Gänsefüßchen? Wann welche Anführungszeichen?
#### Wo ist der Apostroph, um z. B. Felix’ Katze zu schreiben?
#### Was haben die verschieden Leerzeichen zu bedeuten?
Die Antworten auf all diese Fragen findest du auf der [Typografie-Seite](../Typografie/Typografie-mit-Neo.md).

#### Wieso fehlen ein paar griechische Buchstaben?
Die griechischen Buchstaben sind nicht dafür da, um griechische oder
altgriechische Fließtexte zu schreiben. Neo ist ein Layout für die deutsche
Sprache.

Aus genau diesem Grund gibt es auch keine kyrillischen, japanischen sowie
chinesischen Buchstaben. Dafür gibt es Layouts der einzelnen Sprachen. Es wurde
nur darauf geachtet, dass es möglich ist, alle lateinischen Buchstaben zu
tippen. Gerade wenn man z. B. an der polnischen Grenze wohnt und immer mal den
Ort, in dem man selbst (in Deutschland) wohnt, auf polnisch tippen muss oder für
Namen europäischer Mitbürger, usw …

Dennoch gibt es griechische Buchstaben auf der Neo-Tastatur. Warum?

Unsere abendländische Kultur basiert auf der griechischen und lateinischen Kultur. Darum haben diese beiden Sprachen einen besonderen Stellenwert:

  * Zum einen tauchen griechischen und lateinische Wörter oder kurze Zitate regelmäßig in wissenschaftlichen Arbeiten auf. Das ist für Geistes- und Gesellschaftswissenschaftler interessant.
  * Zum anderen dienen die griechischen Buchstaben dazu, mathematische Formeln tippen zu können, in denen entsprechende Buchstaben vorkommen. Das ist für Naturwissenschaftler interessant.

Da Neo jedoch kein echtes griechisches Layout ist, haben wir auf Großbuchstaben,
die im Griechischen und Lateinischen (und somit auch im Deutschen) gleich
aussehen, verzichtet, um diesen Platz mit anderen wissenschaftlichen (i.d.R.
mathematischen) Zeichen zu belegen. Diese lateinischen Großbuchstaben (z. B. A)
könnten auch anstelle der griechischen Großbuchstaben (z. B. Α) verwendet werden
– im Griechischen sind Großbuchstaben viel seltener als im Deutschen (nur in
Namen und bei Satzanfängen). Jedoch ist das typrografisch nicht korrekt!
In mathematischen Formeln tauchen solche griechischen Großbuchstaben aufgrund
der Glyphengleichheit nicht auf.

Echte (typografisch korrekte) griechische Buchstaben sind auch bei Neo über *Compose* möglich:  
Die typografisch korrekten griechischen Großbuchstaben werden zwar häufig in lateinische normalisiert, 
dennoch gibt es eine Möglichkeit, diese über Compose einzutippen. Dazu die Composetaste und danach ein großes G eingeben, 
dann den Großbuchstaben der dem griechischen Kleinbuchstaben entsprechenden Taste drücken. 
Alternativ kann dafür auch der glyphengleiche Großbuchstabe genommen werden (H,P).

#### Wie schreibe/erzeuge ich die Akzente bei den griechischen Buchstaben?
Siehe die Wikiseite [Griechisch Schreiben](GriechischSchreiben).

Außerdem kann man auch direkt in der Datei [Compose.neo](../src/branch/master/Compose/Compose.neo) nachsehen, wobei dort *\<Multi_key\>* für *Compose* steht und die verschiedenen toten Zeichen für die Akzente als *<dead_…>* zu finden sind. Eine ausführliche Dokumentation wie man welche Buchstaben mit Akzenten erzeugt, kommt noch ins Wiki. Ein Anfang findet sich bei [Tote Tasten und Compose](Tote-Tasten-und-Compose).

#### Bei den Währungszeichen gibt es nur €,¢,£,$,¥,¤. Es fehlen Florin (NDL) und Franc.
Die gibt es beide nicht mehr, sind also nur noch historisch, da diese
Länder jetzt auch den Euro haben.

#### Ich möchte in meinen TeX-Dateien (LaTeX) direkt die Sonderzeichen eingeben …

„… um mir etwas Schreibarbeit zu ersparen. Leider kommt immer der Fehler »Package inputenc Error: Unicode char \u8:α not set up for use with LaTeX.« Wieso?“

Bisher muss man die meisten Zeichen erst noch definieren. Um sich Arbeit zu
sparen, haben fleißige Menschen schon eine Datei geschrieben, die man sich nur
in das gleiche Verzeichnis wie die tex-Datei kopieren muss.

Einfacher ist jedoch direkt XeTeX bzw. LuaTeX zu verwenden. Diese engines bringen beide native UTF8‑Unterstützung mit.

Siehe hierzu auch [Neo für Latex](LaTeX.md)

#### Seit ich Neo hab,e kommt es vor, dass ich beim Kompilieren meiner Programme merkwürdige Fehlermeldungen erhalte, …

„… obwohl ich in den betreffenden Zeilen wirklich keinen Fehler finden kann. Z. B. »Syntaxfehler in Zeile 23.« Oder in LaTeX: »Package inputenc Error: Unicode char \u8:  not set up for use with LaTeX.« oder auch »Package inputenc Error: Unicode char \u8: not set up for use with LaTeX.« Was ist das?“

In Neo 2 gibt es einige Zeichen, die möglicherweise Probleme bereiten könnten: 

 * Das geschützte Leerzeichen, zu finden auf der 5. Ebene der Leertaste.
 * Auf der 6. Ebene der Leertaste gibt es noch das schmale geschützte Leerzeichen.
 * Drittens gibt es bei Neo 2 den griechischen Kleinbuchstaben Omikron ο, der dem lateinischen Kleinbuchstaben o optisch gleicht.
 * Viertens gibt es außerdem noch den [„geschützten Bindestrich“](https://de.wikipedia.org/wiki/Gesch%C3%BCtzter_Bindestrich) und den [„weichen Trennstrich“](https://de.wikipedia.org/wiki/Weiches_Trennzeichen)
 * Fünftens gibt es das Zeichen »ſ«, das dem »f« ähnelt

Schnelle Abhilfe schafft eine Suche mit dem Texteditor nach folgenden Zeichen:

|Welches Zeichen | Das Zeichen innerhalb der Anführungszeichen kopieren<br>(z. B. mit Strg+C) |
| :---: | :---: |
|Geschütztes Leerzeichen:| » «|
|Schmales Leerzeichen:   | » «|
|Geschützter Bindestrich:| »‑«|
|Weicher Trennstrich:    | »­«|
|kleines Omikron:        | »ο«|
|langes s:               | »ſ«|

Diese dann einfach durch ein normales Leerzeichen bzw. ein o bzw. einen normalen
Trennstrich (Mod3+t) bzw. ein f ersetzen, sofern diese Zeichen dort nicht
gewünscht sind. Für LaTeX gibt es noch eine andere Lösung hier in der FAQ
(weiter oben).

#### Ich erhalte in Calc, Excel oder einem ähnlichen Tabellenkalkulationsprogramm einen Fehler, obwohl ich in meiner eingegebenen Formel keinen Fehler finde.
Der gängigste Fehler ist das Verwenden eines Gedankenstrichs (Umschalt + -)
oder eines echten Minus (Mod4 + ß auf dem Haupttastaturfeld bzw. Mod3 + Minus auf dem Ziffernblock) statt des
herkömmlichen Striches.
Dieser befindet sich auf Ebene 1 (ohne Modifikator) auf der Strichtaste neben
der Null oder auf Mod3+t.
Nähere Informationen gibt es in der Frage direkt über dieser.

#### Wie werden ð/đ/Đ erzeugt? (eth, eð, edh, edd)
Das isländische Eth (ð/Ð) wird mit ♫dh/♫DH erzeugt.
Das kroatische/serbische/… D mit Querstrich wird mit dem toten Querstrich (auf Mod3+Akut) + d/D erzeugt.
Wer das Eth häufiger benötigt, kann unter Linux auch die [Compose.neo](../src/branch/master/Compose/Compose.neo) editieren (s. Zeile 549).

#### Was hat das Notensymbol ♫ für eine Bedeutung?
Das Notensymbol ♫ steht **bei Neo** als Abkürzung für die [Compose](Tote-Tasten-und-Compose)-Funktion. Das Drücken der *Compose*-Taste (bei Neo sind es zwei Tasten gleichzeitig, nämlich *Mod3* und *Tab*) bewirkt, dass nachfolgende Zeichen zu einem Zeichen verschmolzen werden. Beispielsweise ergibt
 * ♫oc (also *Compose* drücken und wieder loslassen, danach »o« drücken und loslassen, danach »c« drücken und loslassen) das Zeichen ©
 * ♫ae = æ (*Compose* tippen, »a« tippen, »e« tippen)
 * ♫oe = œ
 * ♫~n = ñ
 * usw.
Eine vollständige Liste ist im Verzeichnis [Compose](../src/branch/master/Compose/src/), wobei dort *\<Multi_key\>* für *Compose* steht, zu finden.

#### Warum erhalte ich bei manchen Tastenkombinationen mit mehr als zwei gleichzeitig gedrückten Tasten einfach keine Ausgabe?
Das könnte daran liegen, dass deine Tastatur hardwaretechnisch in diesen Fällen nicht mehr entscheiden kann, welche Taste du als drittes (usw…) gedrückt hast. Dies tritt häufig auf, wenn eine Modifier-Taste mit im Spiel ist, die von Neo erst zu einer gemacht worden ist, die aber vorher keine war, z.B. linke Mod4, rechte Mod3.

Eine Möglichkeit, das Problem bei Beteiligung einer Neo-eigenen Modifiertaste zu umgehen, ist der Wechsel von einer (oder zweier) Modifier auf die andere Seite.
So ist z.B. linke Mod4+linke Mod3+T1(Taste links neben der 1) eine häufig (?) nicht erkannte Tastenkombination, dann sollte man (die im Zehnfingerschreibsystem korrektere Form) rechte Mod4+rechte Mod3+T1 versuchen. 

Eine Übersicht über bekannte Probleme mit verschiedenen Tastaturen gibt es unter [Hardwareprobleme](Hardwareprobleme)

#### Wie mache ich ein Update von Neo?
Es gibt nur eine Version 2.0. (Siehe Installationsanleitungen, wenn nur 1.0 drauf ist?)


## Betriebssystemspezifische Fragen
### Linux, Unix, BSD

#### Bei manchen Java-Programmen, die die Swing-Bibliothek verwenden, funktioneren die Bewegungstasten der 4. Ebene nicht.
Das ist ein bekanntes Problem von Java 1.6 und wurde in Version 1.7 – bis auf die Ebene4-Tab-Taste – behoben. Es wurde eine [Lösung/Umgehung/Workaround](JavaMod4Fix) für das Problem von ein paar Neo-Hackern erstellt. Besprochen wird die Problematik in Neo-Ticket #129.

#### Wenn ich die 6. Ebene benutze, ist nach ein paar Zeichen die dritte Ebene aktiv, und ich kann nicht mehr in die erste Ebene zurückkehren, ohne mich auszuloggen
Das ist ein unerwünschter Nebeneffekt, der durch die automatische Tastenwiederholung beim Gedrückthalten des rechten Mod3 zu Stande kommt sowie auf einen Bug in neueren X-Servern (z.B. 1.7) zurückzuführen ist.
Man sollte die Tastenwiederholung für diesen Modifier unbedingt mit 
` xset -r 51 `
ausschalten. Die elegantere Methode ist es, das [Installationsskript](Neo-unter-Linux-einrichten/Installscript) zu benutzen, das diesen Schritt mit ausführt.

#### Seit der letzten Version der de-Datei für X kann ich nicht mehr zur normalen Qwertz-Belegung zurückkehren.
„… Bei Eingabe von »setxkbmap de« kommt die Fehlermeldung »Error loading new keyboard description«. Außerdem startet X neu, wenn ich auf die Neo-Belegung wechseln will »setxkbmap de neo«“

Das liegt daran, das in neueren Versionen des X-Servers (Xorg) – und daher
auch in der Neo-de-Datei – „keypad“ gegen „kpdl“ ausgetauscht wurde.
In der aktuellen de-Datei muss man einfach kpdl durch keypad ersetzen und es
funktioniert wieder. Oder den X-Server auf den neusten Stand bringen – was
aber auch nicht immer klappt (Arch-Linux mit Xorg 7.3).

#### Wenn ich »Mod3« + »n« drücke, dann erscheint nicht die öffnende Klammer.
#### Wenn ich »Mod4« + »n« oder »Mod4« + »Leertaste« drücke, kommt nicht die 4 oder die 0 sondern ein n oder Leerzeichen.
#### Ebene 4 und 6 über dem »b« gehen nicht?
Das Problem, was hier auftritt, ist der auf der [Mailingliste](Mailingliste) häufig zitierte Fehler, dass, wenn man vom deutschen Qwertz-Layout ausgeht, xmodmap die 4. und höhere Ebenen über dem n nicht auswertet. Das gleiche Problem tritt beim b auf.
Deshalb geht je nach Version die Klammer oder die 4 über dem n nicht. Beim b erscheint kein Plus-Zeichen oder kein Doppelpunkt.
Genau so mit der Leertaste.

Abhilfe dagegen schafft die irische bzw. ab Neo 2 die lettische (lv) Belegung. Diese hat selbst diese Ebene über dem n definiert und daher ändert xmodmap auch die Belegung ordentlich.
```
	setxkbmap lv
	xmodmap neo_de.xmodmap
```

#### Ziffern/Zahlen auf Ebene 4 und Ziffernblock/Keypad erscheinen nicht im Editor Vim oder nvi im Terminal (urxvt, xterm)
Die Lösung steht in [Vim](Vim)

#### Bei mir geht die 4. Ebene (Mod4, ehemals AltGr-Taste) nicht. Stattdessen erscheinen immer die Zeichen der 1. Ebene, egal welchen der beiden Modifikatoren ich drücke.
*Dieser Fehler tritt vermutlich inzwischen nicht mehr auf, da die xkbmap überarbeitet wurde. Also bitte auf die aktuelle xkbmap aktualisieren, siehe die [Anleitung zum aktualisieren der xkbmap (de-Datei)](Neo-unter-Linux-einrichten/xkbmap).*

Systeme bei denen er noch auftritt: Debian 8 (Jessie,testing) mit Gnome 3.14
Abhilfe:[Neo%20unter%20Linux%20einrichten/xkbmap#AktuelleVersionvonNeo2root-Rechteerforderlich](Neo-unter-Linux-einrichten/xkbmap#AktuelleVersionvonNeo2rootRechteerforderlich)

Du verwendest vermutlich nicht die xmodmap-Version des Treibers, sondern
die xkb-Datei mit dem Namen „de“. Bei dieser kommt es auf älteren Systemen
(Xorg vor Version 7.3 bzw. X-Server vor Version 1.3.0, z. B. bei Fedora 6,
Gentoo stable, Ubuntu 7.04) oder unter bestimmten Konstellationen zu diesem
Fehler.

Bei Fedora und Gentoo ist die Datei keysymdef.h veraltet (wie auch ein paar
andere Dateien des X-Servers).

Als Alternative bietet sich an:

 1. Ein aktuelles System zu benutzen.
 1. Den xmodmap-Treiber zu benutzen. Siehe dazu die Anleitung [Neo unter Linux einrichten](Neo-unter-Linux-einrichten).

**Achtung:** Auch bei **Ubuntu 8.04** und **8.10** sowie ab **Fedora 10** treten neue Fehler auf. Siehe dazu die Tickets #58 und #33 jeweils mit Lösungen.

Bei weiteren Fragen bitte auf der Mailingliste melden (siehe erste Frage).

#### Es geht nur noch die Ebene 4: Beim Drücken von „n“ erscheint „(“
Lösungen:

 1. Gleichzeitiges Drücken der linken und rechten Mod-4-Taste (M4L+M4R) rastet die Ebeneneinstellung wieder aus.
 1. Vor dem Aktivieren des Neo-Layouts die Num-Lock-Taste betätigen.

#### Ubuntu 9.04: Taste »Alt Gr« ist »Mod3« anstatt »Mod4«. Wieso? Lösung?
Siehe die (bebilderte) [Beispiel-Anleitung](Neo-unter-Linux-einrichten/Aktivieren) für Ubuntu.

#### Wenn ich »Strg« + »b« oder »Strg« + »t« drücke, wird mein Terminal größer bzw. kleiner.
Das ist wahrscheinlich ein Fehler in Gnome bzw. dem „gnome-terminal“.

Außerdem erscheint bei Eingabe von Qwertz-Strg+c (wenn man Neo als erste und Qwertz als zweite Belegung geladen hat und gerade mit Qwertz unterwegs ist) einfach nur ein „ä“, statt dass ein Programm wie zu erwarten abgebrochen wird. Siehe dazu [Ticket #33](http://wiki.neo-layout.org/ticket/33#comment:27).

Den Fehler sollte man wohl mal den Gnome-Entwicklern melden.

#### Ich kann unter xterm, xfig, xpdf, xedit und ddd, xdm kein V, W oder Ä schreiben. Was kann ich dagegen tun?

Die Lösung steht in [Xorg](Xorg)

#### Mein »Mod4« geht nicht als Modifikator für die 4. Ebene.
Zunächst einmal die [Installationsbeispiele](Neo-unter-Linux-einrichten/Aktivieren) ansehen, vielleicht habt ihr etwas nicht beachtet. Dann:

 1. Deaktiviere die Option „Both Alt keys together change Group” (ralt_switch_for_alts_toggle) oder frage auf der Mailingliste.
 1. Im SQirreL SQL-Client, im TV-Browser (welcher?) und in einigen anderen Programmen funktionieren die Bewegungstasten, Ziffern usw. der 4. Ebene nicht. Bitte trotzdem jedes „fehlerhafte“ Programm auf der Mailingliste melden, bei der die 4. Ebene oder etwas anderes nicht funktioniert.
 1. Du verwendest als Tastaturtreiber nicht »kbd« sondern »evdev«. Bei diesem Treiber werden die Keycodes anders ausgeben. Und zwar so:
  * Keycode 113 ist Cursor-Links und nicht AltGr
  * Keycode 108 ist Alt Gr und nicht Enter
  * Keycode 104 ist Enter
 Nach Meinung von Bernd Steinhauser (siehe Mailingliste) ist das übrigens auch der Grund, warum man bei der Verwendung des evdev-Treibers im KDE-Kontrollzentrum (bzw. in KDE-Systemsettings unter KDE4 wie er es verwendet) auf "Evdev managed Keyboard" stellen muss und nicht eine normale 105-Tasten-Tastatur. Warum die Keycodes überhaupt anders sind ist unbekannt. Als Lösung des Problems kommt hier in Frage:
  * Verwendung des [xkbmap-Treibers](Neo-unter-Linux-einrichten/xkbmap)
Bei weiteren Problemen bitte die Mailingliste fragen.

#### Warum wird statt dem Daraus-folgt-Pfeil (Implikation) »⇒« (U+21D2 RIGHTWARDS DOUBLE ARROW) das komische Zeichen »⊢« (U+22A2 RIGHT TACK) dargestellt?
Das ist ein Fehler, der in der neuen Version von X.org endlich behoben ist. Siehe Fehler #46 und Kommentare.

Daher der „schmutzige Hack“ in der unicode.sty-Datei für LaTeX. Kann für die Zukunft weg. Wer macht’s?

#### Wie funktioniert die Kombo-/Komponier-/Compose-/Multi-Key-Taste?
Die Compose-Taste erreicht man über Mod3+Tab (siehe dazu den Artikel [Tote Tasten und Compose](Tote-Tasten-und-Compose)). Viele Linuxdistributionen haben
außerdem eine weitere Compose-Taste auf der rechten Win-Taste.
Um z. B. x⁵ zu schreiben, tippt man \<x\>, <Mod3+Tab>, <Mod3+Tab loslassen>,
<Mod3+w>, \<5\>.

#### Bei mir funktionieren Kombinationen mit der Kombo-/Compose-Taste nicht, wenn Zeichen auf der 3. Ebene benötigt werden
Unter Linux darf Mod3 nicht losgelassen werden, für das obige Beispiel x⁵ gilt also: 
\<x\>, <Mod3 runterdrücken>, \<Tab\>, \<w\>, <Mod3 loslassen>, \<5\>.

#### Bei mir funktionieren manche Kombinationen mit der Kombo-/Compose-Taste oder den toten Tasten T1, T2, T3 unter Gnome und GTK-Programmen nicht.
Siehe auch die Tickets #100 und #139.

**Problem:**
Bei Gnome und GTK-Programmen sowie Thunderbird und Firefox liefern führen einige Kombinationen mit Compose bzw. den toten Tasten nicht zum gewünschen Ergebnis. Unter KDE- und Java-Anwendungen gibt es diese Probleme nicht.

**Beispiele:**
 * Zwar ergibt ♫o,c ein ©, aber mit ♫o,r erscheint kein ®.
 * !^,1, !^,2, !^,3 (tote Version des Circumflex mit anschließender Zahl) führt in jedem Programm zum Erscheinen der entsprechenden Hochgestellten ¹²³, aber !^,4, !^,5 usw. funktionieren nur in KDE-Programmen, xterm oder Java-Applikationen.
 * Das skandinavische ø mittels toter Taste erscheint nicht in Gnome-Anwendungen.

**Erklärung:**
Unter Gnome funktionieren manche deshalb nicht, weil da noch irgendwas
eigenes vorgeschaltet wird (die Eingabe wird von Gnome abgefangen, bevor sie an den X-Server weiter geleitet wird).

**Lösungen:**
Beheben kann man das Problem, indem man immer die *input method* (Eingabe-Methode) des X-Servers und nicht die von Gnome verwendet. Dazu einfach an das Ende der Datei *~/.xinputrc* folgende zwei Zeilen schreiben:
```
DISABLE_IMSETTINGS=yes
GTK_IM_MODULE=xim
```
Falls das nicht funktioniert, dann eine der Dateien
 * ~/.xsession oder ~/.xinitrc für KDE-Nutzer (exec startkde am Ende nicht vergessen) oder
 * ~/.profile oder
 * ~/.bashrc oder
 * ~/.bash_rc oder
 * ~/.bash_profile oder
 * eine ähnliche/entsprechende Datei
um die zwei Zeilen ergänzen:
```
export DISABLE_IMSETTINGS=yes
export GTK_IM_MODULE=xim
```

Wenn man das nicht will, kann man auch vor dem Start des „fehlerhaften“ Programms die Eingabemethode ändern. Man muss dann beispielsweise um *thunderbird* zu starten, folgendes in die Konsole/Terminal eingeben:
```
# dies ist ein Beispiel für die Bash
export DISABLE_IMSETTINGS=yes; export GTK_IM_MODULE=xim; thunderbird
```

Zudem scheint dieses Problem in aktuelleren Gnome-Versionen behoben worden zu sein (siehe Einträge im Gnomeblog vom [Januar](http://blogs.gnome.org/simos/2008/01/30/improving-input-method-support-in-gtk-based-apps/) und [März](http://blogs.gnome.org/simos/2008/03/05/testing-the-updated-im-support-in-gtk/) 2008).

Siehe auch:
 * Der Artikel in unserem Wiki: [Tote Tasten und Compose](Tote-Tasten-und-Compose)
 * https://help.ubuntu.com/community/ComposeKey
 * [Problem unter Fedora](http://forums.fedoraforum.org/showthread.php?t=212382)

In der Datei [Compose/README.txt](../src/branch/master/Compose/README.txt) gibt es noch
weitere Infos zu unseren eigenen Erweiterungen.

#### Auf meinem Ziffernblock funktioniert die 5 nicht.
Beim Programm *galculator* ist bekannt, dass man nur alle Ziffern eingeben
kann, wenn man Numlock aktiviert hat. Das ist so, weil man auf dem Ziffernblock
mit Umschalt+5 das Eurosymbol (wenn Numlock aktiviert ist) eingeben kann.
*galculotor* erwartet aber, dass sich nicht das Eurosymbol, sondern KP_Begin dort
befindet.


Falls dies noch bei anderen Programmen auftritt, bitte auf der Mailingliste
melden.

####  Bei meiner Tastatur funktioniert die 6. Ebene nicht.
Wird die [Xmodmap](../src/branch/master/linux/xmodmap/) verwendet, so kann die Ebene 6 nur über Mod3+Mod4 (nicht Mod4+Mod3) erreicht werden. Mit der [Xkbmap](../src/branch/master/linux/X/) tritt dieses Problem nicht auf.

##### Technische Erklärung des Problems mit der Xmodmap
Durch die Art der Umsetzung von *Mod3* und *Mod4* kann Ebene 6 nur in der Reihenfolge *Mod3*+*Mod4* und nicht über *Mod4*+*Mod3* erzeugt werden.
Für Ebene 6 muss man zweimal die Gruppe „shiften“: mode_switch + mode_switch.
Genau das passiert bei *Mod3*+*Mod4*. *Mod4* alleine bewirkt aber ein Festlegen von Level3 (ISO_Level_3_shift), so dass *Mod4*+*Mod3* den „Level3“ der Taste *Mod3* erzeugt. Das jedoch ist ein einfaches mode_switch, erzeugt also Ebene 3.

Siehe dazu Ticket #10.

#### Bei meiner Keymap (für die Konsole) funktionieren manche Zeichen nicht.
Durch den Aufruf des Skripts asdf nach dem Einloggen können die fehlenden Zeichen geladen werden. Siehe Ticket #23.

#### Probleme mit Virtuellen Maschinen
Soll Neo in Virtuellen Maschinen verwendet werden (z.B. VirtualBox, Qemu, VMware) so kommt es oft zu Problemen. 
Als allgemeiner Tipp kann gelten: Im Wirt Qwertz einstellen, im Gast Neo.
Weitere Infos und Lösungsansätze gibt es unter [Virtuelle Maschinen](Virtuelle-Maschinen).

#### Ubuntu 10.10: linke »Mod3« Taste verhält sich wie »Caps-Lock«
Fügt man unter Ubuntu 10.10 weitere Layouts unter den Tastatureinstellungen hinzu, so verhält sich »Mod3« wieder wie »Caps-Lock«. Um dies wieder rückgängig zu machen muss man unter »System« → »Einstellungen« → »Tastatur« → »Layout« → »Optionen« unter »Taste(n) zum Wechsel der Belegung« alle Häkchen entfernen. Siehe Ticket #234.

### Apple Macintosh
#### Warum wird auf meinem iBook / MacBook »Caps-Lock« nicht zu »Mod3«?
Dies muss von Hand eingestellt werden unter »Systemeinstellungen« → »Tastatur« → »Sondertasten« bzw. bei engl. Sprache unter »System Preferences« → »Keyboard« → »Modifier Keys«. Dort für »Caps Lock« entsprechend »Option« auswählen.
Weitere Informationen gibt es unter [Neo auf dem Apple Macintosh einrichten](Neo-auf-dem-Apple-Macintosh-einrichten).
Wenn diese auch nicht helfen, bitte auf der [Mailingliste](Mailingliste) melden!

#### Ändern sich auch Tastaturkürzel wie »Apfel« + »c« usw.?
Ja, auch wenn das eigentlich von Mac OS nicht so gewollt ist. Die ursprüngliche Qwertz-Position bleibt bei Tastaturkürzeln *nicht* erhalten.
Da die Belegung der Apfel-Ebene jedoch in der Datei [neo.keylayout](http://neo-layout.org/neo.keylayout) einzeln aufgeführt ist, kann man das auch wieder ändern (siehe [Treiber-Know-How](TreiberKnowHow#neo.keylayout)).

### Windows
#### [AHK] Beim NeoVars-Treiber kann ich auf der rechten Seite/Hand nur Zahlen schreiben, wieso?
#### [AHK] Beim NeoVars-Treiber ist scheinbar immer Num-Lock aktiviert, wieso?
#### [AHK] Beim NeoVars-Treiber kann ich mit Fn+Num Numlock nicht deaktivieren, wieso?
Bei Notebooks und anderen Tastaturen mit integriertem Fn-Ziffernblock muss man vor Aktivierung des Neo-Treibers (Neo2.exe) den Num-Lock ausschalten. Man kann dies in eine Konfigurationsdatei schreiben, damit es automatisch passiert.

Dazu wechselt man in das richtige Verzeichnis innerhalb der Anwendungsdaten des aktuellen Nutzers. Unter Windows Vista, 7 und 8 ist dies etwa das Verzeichnis `C:\Users\<BENUTZERNAME>\AppData\Roaming\Neo2\`,
unter Windows XP hingegen das Verzeichnis `C:\Dokumente und Einstellungen\<BENUTZERNAME>\Anwendungsdaten\Neo2\`. Man kann stattdessen auch das Verzeichnis `%APPDATA%` im Explorer eingeben.

Wenn dort noch keine Datei `Neo2.ini` existiert, legt man eine neue an, z.B. im Explorer über Kontextmenü → Neu → Textdatei. Die erstellte, noch leere Datei benennt man nach dem Anlegen in `Neo2.ini` um. Anschließend öffnet man `Neo2.ini` mit einem Texteditor (z.B. Notepad) und fügt folgende Zeilen ein:
```
[Global]
NumLockOff=1
```
In dieser Datei können auch noch weitere Optionen eingestellt werden. Siehe [Globale Schalter für Fortgeschrittene](Neo-unter-Windows-einrichten/NeoVars#GlobaleSchalterfürFortgeschrittene).

#### Eine bestimmte Kombination mit einer tote Taste (Deadkey) oder eine Compose-Kombination funktioniert nicht?
  * Das resultierende Zeichen gibt es nicht – es können nur Tote-Taste + Buchstabe eingegeben werden, deren Kombination auch Sinn ergibt.
  * Momentan sind noch nicht alle Compose-Kombinationen im kbdneo2-Treiber hinterlegt.

#### [AHK] Wenn man zu schnell tippt, werden einzelne Zeichen manchmal gar nicht ersetzt.
Ein bekanntes Problem des AHK-Treibers. Es gibt zwei mehr oder weniger gute
Wege, dieses Problem zu umgehen.
  * AHK auf eine höhere Priorität zu setzen. So richtig rund läufts aber dennoch nicht immer.
  * Scheinbar etwas besser: Den Prozess des eingabe-erwartenden Programms runtersetzen, nicht AHK hoch. Funktioniert angeblich zuverlässiger.

#### [AHK] In einigen Programmen funktioniert der Treiber nicht oder es kommt zu fehlerhaften Verhalten
Ein bekanntes Problem des AHK-Treibers. Es tritt vor allem bei Spielen auf, die damit Schummeln verhindern wollen.

#### [AHK] Kann man AHK per Tastenkombination ausschalten?
Shift+Pause pausiert das Skript.

#### [kbdneo2] In einigen Programmen funktionieren die höheren Ebenen nicht.
Dieser Fehler ist bei Programmen, die auf GTK+ basieren (z.B. Pidgin), bekannt. Da beim Layout von Neo 2 sechs Ebenen verwendet werden, sind neue Modifier nötig und im Treiber definiert. Leider verwendet GTK+ nicht die normalen Windowsschnittstellen und unterstützt keine unbekannten Modifier.
Dieser Bug wurde 2008 an die GTK-Entwickler gemeldet, ähnliche Bugs sind seit 2005 bekannt, ob ein Fix erscheint scheint fraglich.

#### [kbdneo2] Einige Tasten der 4. Ebene, des Ziffernblocks und die Modifier-Locks funktionieren nicht
Neo 2 bietet einige Innovationen, die leider nicht von Windowstreiber unterstützt werden. Ein AHK-Skript soll die Lücken schließen.

#### [kbdneo2] In Word von MS Office 2007 funktioniert mit dem nativen Treiber (kbdneo2.dll) Strg+Z und Strg+V nicht mehr. Wieso?
Die Lösung findet man [hier](MS_Office).

#### Wie kann man vermeiden, für die Eingabeaufforderung immer zwischen kbdneo und AHK zu wechseln?

Wenn man generell den AHK-Treiber benutzt, stößt man auf das Problem, dass dieser von der Eingabeaufforderung nicht unterstützt wird. Für einen Workaround siehe: comment:ticket:97:3

## Entwicklerfragen (auch Beta-Tester)
#### Wo finde ich die aktuellste Entwicklerversion von Neo als Grafik?
In der Datei [A-REFERENZ-A/neo20.txt](../src/branch/master/A-REFERENZ-A/neo20.txt)
in der Subversion-Versionsverwaltung gibt es die Tastaturbelegung als
Textgrafik. Die dortige Version ist immer die aktuellste. Davon ausgehend
werden verschiedene Grafiken im Verzeichnis grafik/ nach und nach aktualisiert,
sind jedoch meist etwas hinterher.

Zum Lernen der Belegung ist beispielsweise der Aufsteller
[neo20-aufsteller.pdf](http://www.neo-layout.org/grafik/aufsteller/neo20-aufsteller.pdf) ziemlich
geeignet, da man ihn einfach ausdrucken, an den Knicklinien falten und dann
vor sich Hinstellen kann (inklusive Mini-FAQ auf der Rückseite).

#### Mir gefällt etwas an Neo nicht. Wie ändere ich etwas an der Tastaturbelegung?
Infos zur Treiberentwicklung gibt es unter [Treiber-Know-How](TreiberKnowHow). 
Fehlt dort die nötige Information, dann einfach auf der [Mailingliste](Mailingliste) nachfragen.

#### Wie kann ich mich an der Entwicklung von Neo 2 beteiligen?
Es gibt eine [Mailingliste](Mailingliste). Auf dieser wird alles ausdiskutiert und Fragen werden beantwortet.

#### Ich habe versucht die Grafiken von [grafik/](../src/branch/master/grafik/) zu öffnen, aber mein Browser (z. B. Firefox) öffnet die SVGs und auch die PDFs als Textdatei, das heißt: Ich sehe den Quellcode.
Nutze einfach die Seite „[Grafiken](Grafiken)“ im Wiki, dort werden viele Grafiken direkt verlinkt. Oder durchsuche das Verzeichnis hier: [http://www.neo-layout.org/grafik/](http://www.neo-layout.org/grafik/).
