# Lizenzfragen

## Grundsätzliches
Das Neo-Projekt sieht sich selbst als [FLOSS (Free/Libre Open Source Software)](http://de.wikipedia.org/wiki/FLOSS).

## Projektrichtlinien
Alle Dateien sollten unter [freien](http://de.wikipedia.org/wiki/Freie_Software) [Copyleft-Lizenzen](http://de.wikipedia.org/wiki/Copyleft) veröffentlicht werden:

 * Bilder und Texte: Hier wird von uns einheitlich die [CC-BY-SA (Creative Commons-Namensnennung-Weitergabe unter gleichen Bedingungen-3.0-Deutschland)](http://creativecommons.org/licenses/by-sa/3.0/de/)-Lizenz verwendet.
 * Programmcode (dies betrifft insbesondere die von uns programmierten Treiber) sollte unter die [GPLv3](http://www.gnu.org/licenses/gpl-3.0.html) gestellt werden (Hierzu gibt es jedoch noch eine laufende Diskussion; siehe weiter unten)

## Fragen und Antworten

!!! question "Warum stehen die Texte nicht unter der [GNU-Lizenz für freie Dokumentation](http://de.wikipedia.org/wiki/GNU_Free_Documentation_License)?"
    * Die CC-BY-SA folgt den selben Grundgedanken, ist jedoch allgemeiner und auch einfacher zu verstehen als die doch recht komplizierte GFDL.
    * Auf diese Art und Weise stehen die Bilder und die Texte unter der gleichen Lizenz. Damit werden unnötige [Inkompatibilitäten](http://en.wikipedia.org/wiki/GNU_Free_Documentation_License#Compatibility_with_CC-BY-SA) vermieden.
    * Die GFDL fordert, dass wenn jemand einen Teil der Dokumentation irgendwo abdrucken will, er dann auch die *komplette* GFDL mit abdrucken muss (und sie ist nicht gerade kurz).
    * Auch die Wikipedia wird aus diesen Gründen voraussichtlich von der GFDL zur CC-BY-SA wechseln bzw. beide Lizenzen gleichzeitig einsetzen (genaueres [hier (auf englisch)](http://meta.wikimedia.org/wiki/Licensing_update)). Als die Wikipedia entstand, gab es die Creative-Commons-Lizenzen schlichtweg noch nicht.
    * [Vergleich von GFDL und CC-BY-SA (auf englisch)](http://en.wikipedia.org/wiki/Wikipedia:Comparison_of_GFDL_and_CC-BY-SA)

!!! question "Warum erlauben wir auch eine kommerzielle Nutzung unserer Texte und Bilder?"
    Um zur Wikipedia kompatibel zu bleiben; schon der Baustein »Weitergabe unter gleichen Bedingungen« verhindert effektiv Missbrauch. Genauere Hintergründe finden sich im dem Artikel [»Freiheit mit Fallstricken: Creative-Commons-NC-Lizenzen und ihre Folgen«](http://www.opensourcejahrbuch.de/download/jb2006/chapter_06/osjb2006-06-01-moeller) aus dem Open Source Jahrbuch 2006.

!!! question "Warum sind die veröffentlichten Dateien nicht gemeinfrei? Warum wird nicht die CC-BY-Lizenz genutzt?"
    Das [Copyleft](http://de.wikipedia.org/wiki/Copyleft)-Prinzip erzwingt die Freiheit von Weiterbearbeitungen und Fortentwicklungen unserer Werke, um dadurch ihre unfreie Vereinnahmung zu verhindern. Weiteres kann [hier](http://de.wikipedia.org/wiki/Gemeinfreiheit#Copyleft) nachgelesen werden.

!!! missing "Was ist mit dem Begriff [Schöpfungshöhe](http://de.wikipedia.org/wiki/Schöpfungshöhe) gemeint?"
    Antwort selbsterklärend? Ansonsten bitte hier einfügen.

!!! question "Warum wird nicht die [LGPLv3](http://www.gnu.org/licenses/lgpl-3.0.html) benutzt?"
    Weil Tastaturtreiber keine Libraries sind.

!!! question "Wo kann ich weitere Informationen zu diesem Thema erhalten?"
    In der entsprechenden [FAQ](http://de.wikipedia.org/wiki/Hilfe:FAQ_Rechtliches) der Wikipedia.

!!! question "Warum müssen alle vom Neo-Projekt veröffentlichten Treiber unter einer Lizenz stehen?"
    Wird dies nicht getan, unterliegt der Code dem Urheberrecht und widerspricht damit dem [FLOSS](http://de.wikipedia.org/wiki/FLOSS)-Gedanken.

## Offene Fragen
Die Diskussion um die beste Lizenz für Programmiercode ist noch nicht abgeschlossen.  

### Vorschläge

 * eine beliebige Open-Source-Lizenz mit Präferenz auf GPL oder BSD
 * beliebige Lizenz, die kompatibel zur GPLv3 ist. Dies soll die Wahl einer Lizenz, die zwar Open Source, aber zur GPL inkompatibel ist, verhindern, siehe auch [Liste GPL-kompatibler Lizenzen](http://www.gnu.org/philosophy/license-list.html#GPLCompatibleLicenses).
 * Für einige Treiber (beispielsweise den xkbmap-Treiber) haben wir vielleicht keine Wahlmöglichkeit, da sie von irgendwelchem GPL-Code abgeleitet sind.

#### GPL oder BSD
Oder wir vereinfachen das ganze ein wenig und erlauben nur GPL (bevorzugt v3) und BSD. Dann haben wir den Vorteil, dass die Programmierer selbst zwischen einer »permissive« und »copyleft«-Lizenz wählen können, aber verhindern einen Lizenzwildwuchs (siehe unten), indem es für alles im Projekt nur drei Lizenzen gibt.
 
Ist die GPL zu restriktiv für unsere Zwecke? Denn bei Neo geht es ja um das Tastatur-Layout selbst und da wäre eine größtmögliche native Unterstützung in allen Betriebssystemen wünschenswert. In dieser Hinsicht wäre es sinnvoll, wenn Microsoft und Apple sich am Ende das fertige Neo 2 nehmen und in ihre Betriebssysteme einbauen könnten. Das würden sie ganz sicher nicht machen (insbesondere MS), wenn der zur Verfügung stehende Code unter der (L)GPL steht. Ist überhaupt ein Fall vorstellbar, wo jemand den Neo-Code benutzt und in einer Weise in ein proprietäres System einbaut, dass es diesem Projekt schaden würde? Daher wäre auch eine »Permissive License« wie die BSD-Lizenz denkbar.

### Lizenzwildwuchs

Wir sollten nicht zu viele verschiedene Lizenzen verwenden: Auch wenn es ein schönes Ideal ist, dem Programmierer die größtmögliche Freiheit zu geben, als Projekt sollte man sich auf eine kleine Menge an Lizenzen beschränken. Denn [License proliferation](http://en.wikipedia.org/wiki/License_proliferation) ist ein großes Übel in der Free-Software-Welt, der man in seinem Projekt mit einer sinnvollen Policy entgegenwirken sollte.

### Grundsätze

Auch für die Quellcode-Lizenzen sollten wir detaillierte Grundsätze veröffentlichen, so wie es beispielsweise [KDE](http://techbase.kde.org/index.php?title=Policies/Licensing_Policy) macht.
