
# Neo und Tastenkombinationen von Programmen

In vielen Programmen kann man zahllose Funktionen mit Tastenkombinationen aufrufen.  
Diese sind standardmäßig meistens für QWERTZ bzw. QWERTY eingestellt und oft mit Neo schlecht erreichbar. 
Falls das Programm ein sinnvolles ergonomisches Konzept hat, ist der Nachteil besonders schwerwiegend.

Manchmal funktionieren bestimmte Funktionen auch nicht, obwohl der Treiber bei den entsprechenden Tasten sonst keine Probleme macht.
Hier werden Vorschläge gesammelt, wie man bestimmte Programme gut an Neo (oder experimentelle Belegungen) anpassen kann.
Als Vorbild dient das [ArchWiki](https://wiki.archlinux.org/), wo man neben reinen Problembehandlungen auch immer nützliche Tips erhält.

## Sonstiges

 * [Mod4-Bugfix](JavaMod4Fix.md) für Java-Programme

## Liste aller undo/redo-fähigen oder -unfähigen Programme

!!! todo "Todo"
    Das sollte irgendwann aktualisiert werden.

Diese Seite enthält eine Liste aller undo-/redo-fähigen oder -unfähigen Programme. Mit undo-/redo-fähig ist gemeint, dass sie die X-Funktion undo/redo unterstützen.

|**Programm**|**undo**|**redo**|
| :--- | :---: | :---: |
|Openoffice|✔|✘|
|Abiword|✘|✘|
|Gnumeric|✘|✘|
|Kmail|✘|✘|
|Kate|✘|✘|
|Kwrite|✘|✘|
|Firefox|✘|✘|
|Lyx|✘|✘|
|Konqueror|✘|✘|
|Gimp|✘|✘|
|Amarok|✘|✘|
|Gedit|✘|✘|
|Emacs|✔|✔|
|Inkscape|✘|✘|
|Gvim|✔|✘|
|Vim|✘|✘|
|Meld|✘|✘|

Damit sind wohl ein paar Bugreports nötig. Aber vielleicht reicht jeweils einer für alle KDE- und einer für alle GTK/Gnome-Programme. Dann wäre es gar nicht so viel Arbeit.
