---
template: wide.html
---
# Liste der mit Neo erzeugbaren Zeichen
Es folgt eine Liste aller Zeichen, die mit dem Neo-Tastaturlayout eingegeben werden können. Diese wurde von Hand mittels der [Referenz](https://git.neo-layout.org/neo/neo-layout/src/branch/master/A-REFERENZ-A/neo20.txt) erstellt.

Es gibt für Linux zwei Programme/Skripte, mit denen man herausfinden kann, wie man Zeichen erzeugen kann. Mit [beschreibe](https://git.neo-layout.org/neo/neo-layout/src/branch/master/linux/bin/beschreibe) kann man das gesuchte Zeichen beschreiben und anschließend wird einem mit dem davon aufgerufenen Programm [wiemitneo](https://git.neo-layout.org/neo/neo-layout/src/branch/master/linux/bin/wiemitneo) die Tastenkombination oder die Taste gezeigt. Man kann letzteres Programm auch direkt ausführen.

## Noch nicht enthaltene Zeichen oder Tasten

!!! missing "Fehlend"
    Compose/Tote Tasten sowie der Nummernblock

## Vollständige Liste

| Zeichen | Codepoint | Name | Erzeugen über |
| :---: | --- | --- | --- |
|` `|U+0020|SPACE|\<Leertaste\>|
|`!`|U+0021|EXCLAMATION MARK|\<Mod3\> + <`k`>|
|`"`|U+0022|QUOTATION MARK|\<Mod3\> + <`,`>|
|`#`|U+0023|NUMBER SIGN|\<Mod3\> + <`ü`>|
|`$`|U+0024|DOLLAR SIGN|\<Shift\> + <`6`>  <br>\<Mod3\> + <`ö`>|
|`%`|U+0025|PERCENT SIGN|\<Mod3\> + <`m`>|
|`&`|U+0026|AMPERSAND|\<Mod3\> + <`q`>|
|`'`|U+0027|APOSTROPHE|\<Mod3\> + <`.`>|
|`(`|U+0028|LEFT PARENTHESIS|\<Mod3\> + <`n`>|
|`)`|U+0029|RIGHT PARENTHESIS|\<Mod3\> + <`r`>|
|`*`|U+002A|ASTERISK|\<Mod4\> + <`0`>  <br>\<Mod3\> + <`o`>|
|`+`|U+002B|PLUS SIGN|\<Mod4\> + <`q`>  <br>\<Mod3\> + <`b`>|
|`,`|U+002C|COMMA|\<Mod4\> + <`d`>  <br><`,`>|
|`-`|U+002D|HYPHEN-MINUS|<`-`>  <br>\<Mod4\> + <`-`>  <br>\<Mod3\> + <`t`>|
|`.`|U+002E|FULL STOP|\<Mod4\> + <`y`>  <br><`.`>|
|`/`|U+002F|SOLIDUS|\<Mod4\> + <`9`>  <br>\<Mod3\> + <`i`>|
|`0`|U+0030|DIGIT ZERO|<`0`>  <br>\<Mod4\> + \<Leertaste\>|
|`1`|U+0031|DIGIT ONE|<`1`>  <br>\<Mod4\> + <`m`>|
|`2`|U+0032|DIGIT TWO|<`2`>  <br>\<Mod4\> + <`,`>|
|`3`|U+0033|DIGIT THREE|<`3`>  <br>\<Mod4\> + <`.`>|
|`4`|U+0034|DIGIT FOUR|<`4`>  <br>\<Mod4\> + <`n`>|
|`5`|U+0035|DIGIT FIVE|<`5`>  <br>\<Mod4\> + <`r`>|
|`6`|U+0036|DIGIT SIX|<`6`>  <br>\<Mod4\> + <`t`>|
|`7`|U+0037|DIGIT SEVEN|<`7`>  <br>\<Mod4\> + <`h`>|
|`8`|U+0038|DIGIT EIGHT|<`8`>  <br>\<Mod4\> + <`g`>|
|`9`|U+0039|DIGIT NINE|<`9`>  <br>\<Mod4\> + <`f`>|
|`:`|U+003A|COLON|\<Mod3\> + <`d`><br>\<Mod4\> + <`b`>|
|`;`|U+003B|SEMICOLON|\<Mod3\> + <`j`><br>\<Mod4\> + <`j`>|
|`<`|U+003C|LESS-THAN SIGN|\<Mod3\> + <`h`>|
|`=`|U+003D|EQUALS SIGN|\<Mod3\> + <`f`>|
|`>`|U+003E|GREATER-THAN SIGN|\<Mod3\> + <`g`>|
|`?`|U+003F|QUESTION MARK|\<Mod3\> + <`s`>|
|`@`|U+0040|COMMERCIAL AT|\<Mod3\> + <`y`>|
|`A`|U+0041|LATIN CAPITAL LETTER A|\<Shift\> + <`a`>|
|`B`|U+0042|LATIN CAPITAL LETTER B|\<Shift\> + <`b`>|
|`C`|U+0043|LATIN CAPITAL LETTER C|\<Shift\> + <`c`>|
|`D`|U+0044|LATIN CAPITAL LETTER D|\<Shift\> + <`d`>|
|`E`|U+0045|LATIN CAPITAL LETTER E|\<Shift\> + <`e`>|
|`F`|U+0046|LATIN CAPITAL LETTER F|\<Shift\> + <`f`>|
|`G`|U+0047|LATIN CAPITAL LETTER G|\<Shift\> + <`g`>|
|`H`|U+0048|LATIN CAPITAL LETTER H|\<Shift\> + <`h`>|
|`I`|U+0049|LATIN CAPITAL LETTER I|\<Shift\> + <`i`>|
|`J`|U+004A|LATIN CAPITAL LETTER J|\<Shift\> + <`j`>|
|`K`|U+004B|LATIN CAPITAL LETTER K|\<Shift\> + <`k`>|
|`L`|U+004C|LATIN CAPITAL LETTER L|\<Shift\> + <`l`>|
|`M`|U+004D|LATIN CAPITAL LETTER M|\<Shift\> + <`m`>|
|`N`|U+004E|LATIN CAPITAL LETTER N|\<Shift\> + <`n`>|
|`O`|U+004F|LATIN CAPITAL LETTER O|\<Shift\> + <`o`>|
|`P`|U+0050|LATIN CAPITAL LETTER P|\<Shift\> + <`p`>|
|`Q`|U+0051|LATIN CAPITAL LETTER Q|\<Shift\> + <`q`>|
|`R`|U+0052|LATIN CAPITAL LETTER R|\<Shift\> + <`r`>|
|`S`|U+0053|LATIN CAPITAL LETTER S|\<Shift\> + <`s`>|
|`T`|U+0054|LATIN CAPITAL LETTER T|\<Shift\> + <`t`>|
|`U`|U+0055|LATIN CAPITAL LETTER U|\<Shift\> + <`u`>|
|`V`|U+0056|LATIN CAPITAL LETTER V|\<Shift\> + <`v`>|
|`W`|U+0057|LATIN CAPITAL LETTER W|\<Shift\> + <`w`>|
|`X`|U+0058|LATIN CAPITAL LETTER X|\<Shift\> + <`x`>|
|`Y`|U+0059|LATIN CAPITAL LETTER Y|\<Shift\> + <`y`>|
|`Z`|U+005A|LATIN CAPITAL LETTER Z|\<Shift\> + <`z`>|
|`[`|U+005B|LEFT SQUARE BRACKET|\<Mod3\> + <`l`>|
|`\​` |U+005C|REVERSE SOLIDUS|\<Mod3\> + <`u`>|
|`]`|U+005D|RIGHT SQUARE BRACKET|\<Mod3\> + <`c`>|
|`^`|U+005E|CIRCUMFLEX ACCENT|\<Mod3\> + <`w`>|
|`_`|U+005F|LOW LINE|\<Mod3\> + <`v`>|
|``​`​``|U+0060|GRAVE ACCENT|\<Mod3\> + <`z`>|
|`a`|U+0061|LATIN SMALL LETTER A|<`a`>|
|`b`|U+0062|LATIN SMALL LETTER B|<`b`>|
|`c`|U+0063|LATIN SMALL LETTER C|<`c`>|
|`d`|U+0064|LATIN SMALL LETTER D|<`d`>|
|`e`|U+0065|LATIN SMALL LETTER E|<`e`>|
|`f`|U+0066|LATIN SMALL LETTER F|<`f`>|
|`g`|U+0067|LATIN SMALL LETTER G|<`g`>|
|`h`|U+0068|LATIN SMALL LETTER H|<`h`>|
|`i`|U+0069|LATIN SMALL LETTER I|<`i`>|
|`j`|U+006A|LATIN SMALL LETTER J|<`j`>|
|`k`|U+006B|LATIN SMALL LETTER K|<`k`>|
|`l`|U+006C|LATIN SMALL LETTER L|<`l`>|
|`m`|U+006D|LATIN SMALL LETTER M|<`m`>|
|`n`|U+006E|LATIN SMALL LETTER N|<`n`>|
|`o`|U+006F|LATIN SMALL LETTER O|<`o`>|
|`p`|U+0070|LATIN SMALL LETTER P|<`p`>|
|`q`|U+0071|LATIN SMALL LETTER Q|<`q`>|
|`r`|U+0072|LATIN SMALL LETTER R|<`r`>|
|`s`|U+0073|LATIN SMALL LETTER S|<`s`>|
|`t`|U+0074|LATIN SMALL LETTER T|<`t`>|
|`u`|U+0075|LATIN SMALL LETTER U|<`u`>|
|`v`|U+0076|LATIN SMALL LETTER V|<`v`>|
|`w`|U+0077|LATIN SMALL LETTER W|<`w`>|
|`x`|U+0078|LATIN SMALL LETTER X|<`x`>|
|`y`|U+0079|LATIN SMALL LETTER Y|<`y`>|
|`z`|U+007A|LATIN SMALL LETTER Z|<`z`>|
|`{`|U+007B|LEFT CURLY BRACKET|\<Mod3\> + <`a`>|
|`|`|U+007C|VERTICAL LINE|\<Mod3\> + <`ä`>|
|`}`|U+007D|RIGHT CURLY BRACKET|\<Mod3\> + <`e`>|
|`~`|U+007E|TILDE|\<Mod3\> + <`p`>|
|` `|U+00A0|NO-BREAK SPACE|\<Shift\> + \<Mod3\> + \<Leertaste\>|
|`¡`|U+00A1|INVERTED EXCLAMATION MARK|\<Mod4\> + <`k`>|
|`¢`|U+00A2|CENT SIGN|\<Mod3\> + <`6`>|
|`£`|U+00A3|POUND SIGN|\<Mod4\> + <`6`>|
|`¤`|U+00A4|CURRENCY SIGN|\<Mod4\> + <`7`>|
|`¥`|U+00A5|YEN SIGN|\<Mod3\> + <`7`>|
|`§`|U+00A7|SECTION SIGN|\<Shift\> + <`2`>|
|`ª`|U+00AA|FEMININE ORDINAL INDICATOR|\<Mod4\> + <`1`>|
|`«`|U+00AB|LEFT-POINTING DOUBLE ANGLE QUOTATION MARK|\<Shift\> + <`5`>|
|`¬`|U+00AC|NOT SIGN|\<Mod3\> + \<Mod4\> + <`1`>|
|`°`|U+00B0|DEGREE SIGN|\<Shift\> + <`1`>|
|`²`|U+00B2|SUPERSCRIPT TWO|\<Mod3\> + <`2`>|
|`³`|U+00B3|SUPERSCRIPT THREE|\<Mod3\> + <`3`>|
|`·`|U+00B7|MIDDLE DOT|\<Mod4\> + <`5`>|
|`¹`|U+00B9|SUPERSCRIPT ONE|\<Mod3\> + <`1`>|
|`º`|U+00BA|MASCULINE ORDINAL INDICATOR|\<Mod4\> + <`2`>|
|`»`|U+00BB|RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK|\<Shift\> + <`4`>|
|`¿`|U+00BF|INVERTED QUESTION MARK|\<Mod4\> + <`s`>|
|`Ä`|U+00C4|LATIN CAPITAL LETTER A WITH DIAERESIS|\<Shift\> + <`ä`>|
|`Ö`|U+00D6|LATIN CAPITAL LETTER O WITH DIAERESIS|\<Shift\> + <`ö`>|
|`×`|U+00D7|MULTIPLICATION SIGN|\<Mod3\> + \<Mod4\> + <`k`>|
|`Ü`|U+00DC|LATIN CAPITAL LETTER U WITH DIAERESIS|\<Shift\> + <`ü`>|
|`ß`|U+00DF|LATIN SMALL LETTER SHARP S|<`ß`>|
|`ä`|U+00E4|LATIN SMALL LETTER A WITH DIAERESIS|<`ä`>|
|`ö`|U+00F6|LATIN SMALL LETTER O WITH DIAERESIS|<`ö`>|
|`ü`|U+00FC|LATIN SMALL LETTER U WITH DIAERESIS|<`ü`>|
|`ſ`|U+017F|LATIN SMALL LETTER LONG S|\<Mod3\> + <`ß`>|
|`Γ`|U+0393|GREEK CAPITAL LETTER GAMMA|\<Mod3\> + \<Mod4\> + <`g`>|
|`Δ`|U+0394|GREEK CAPITAL LETTER DELTA|\<Mod3\> + \<Mod4\> + <`d`>|
|`Θ`|U+0398|GREEK CAPITAL LETTER THETA|\<Mod3\> + \<Mod4\> + <`j`>|
|`Λ`|U+039B|GREEK CAPITAL LETTER LAMDA|\<Mod3\> + \<Mod4\> + <`l`>|
|`Ξ`|U+039E|GREEK CAPITAL LETTER XI|\<Mod3\> + \<Mod4\> + <`x`>|
|`Π`|U+03A0|GREEK CAPITAL LETTER PI|\<Mod3\> + \<Mod4\> + <`p`>|
|`Σ`|U+03A3|GREEK CAPITAL LETTER SIGMA|\<Mod3\> + \<Mod4\> + <`s`>|
|`Φ`|U+03A6|GREEK CAPITAL LETTER PHI|\<Mod3\> + \<Mod4\> + <`f`>|
|`Ψ`|U+03A8|GREEK CAPITAL LETTER PSI|\<Mod3\> + \<Mod4\> + <`h`>|
|`Ω`|U+03A9|GREEK CAPITAL LETTER OMEGA|\<Mod3\> + \<Mod4\> + <`w`>|
|`α`|U+03B1|GREEK SMALL LETTER ALPHA|\<Shift\> + \<Mod3\> + <`a`>|
|`β`|U+03B2|GREEK SMALL LETTER BETA|\<Shift\> + \<Mod3\> + <`b`>|
|`γ`|U+03B3|GREEK SMALL LETTER GAMMA|\<Shift\> + \<Mod3\> + <`g`>|
|`δ`|U+03B4|GREEK SMALL LETTER DELTA|\<Shift\> + \<Mod3\> + <`d`>|
|`ε`|U+03B5|GREEK SMALL LETTER EPSILON|\<Shift\> + \<Mod3\> + <`e`>|
|`ζ`|U+03B6|GREEK SMALL LETTER ZETA|\<Shift\> + \<Mod3\> + <`z`>|
|`η`|U+03B7|GREEK SMALL LETTER ETA|\<Shift\> + \<Mod3\> + <`ä`>|
|`θ`|U+03B8|GREEK SMALL LETTER THETA|\<Shift\> + \<Mod3\> + <`j`>|
|`ι`|U+03B9|GREEK SMALL LETTER IOTA|\<Shift\> + \<Mod3\> + <`i`>|
|`κ`|U+03BA|GREEK SMALL LETTER KAPPA|\<Shift\> + \<Mod3\> + <`7`>|
|`λ`|U+03BB|GREEK SMALL LETTER LAMDA|\<Shift\> + \<Mod3\> + <`l`>|
|`μ`|U+03BC|GREEK SMALL LETTER MU|\<Shift\> + \<Mod3\> + <`m`>|
|`ν`|U+03BD|GREEK SMALL LETTER NU|\<Shift\> + \<Mod3\> + <`n`>|
|`ξ`|U+03BE|GREEK SMALL LETTER XI|\<Shift\> + \<Mod3\> + <`x`>|
|`ο`|U+03BF|GREEK SMALL LETTER OMICRON|\<Shift\> + \<Mod3\> + <`o`>|
|`π`|U+03C0|GREEK SMALL LETTER PI|\<Shift\> + \<Mod3\> + <`p`>|
|`ρ`|U+03C1|GREEK SMALL LETTER RHO|\<Shift\> + \<Mod3\> + <`,`>|
|`ς`|U+03C2|GREEK SMALL LETTER FINAL SIGMA|\<Shift\> + \<Mod3\> + <`ß`>|
|`σ`|U+03C3|GREEK SMALL LETTER SIGMA|\<Shift\> + \<Mod3\> + <`s`>|
|`τ`|U+03C4|GREEK SMALL LETTER TAU|\<Shift\> + \<Mod3\> + <`t`>|
|`υ`|U+03C5|GREEK SMALL LETTER UPSILON|\<Shift\> + \<Mod3\> + <`y`>|
|`φ`|U+03C6|GREEK SMALL LETTER PHI|\<Shift\> + \<Mod3\> + <`f`>|
|`χ`|U+03C7|GREEK SMALL LETTER CHI|\<Shift\> + \<Mod3\> + <`c`>|
|`ψ`|U+03C8|GREEK SMALL LETTER PSI|\<Shift\> + \<Mod3\> + <`h`>|
|`ω`|U+03C9|GREEK SMALL LETTER OMEGA|\<Shift\> + \<Mod3\> + <`w`>|
|`ϑ`|U+03D1|GREEK THETA SYMBOL|\<Shift\> + \<Mod3\> + <`.`>|
|`ϕ`|U+03D5|GREEK PHI SYMBOL|\<Shift\> + \<Mod3\> + <`q`>|
|`ϰ`|U+03F0|GREEK KAPPA SYMBOL|\<Shift\> + \<Mod3\> + <`k`>|
|`ϱ`|U+03F1|GREEK RHO SYMBOL|\<Shift\> + \<Mod3\> + <`r`>|
|`ϵ`|U+03F5|GREEK LUNATE EPSILON SYMBOL|\<Shift\> + \<Mod3\> + <`ö`>|
|`ẞ`|U+1E9E|LATIN CAPITAL LETTER SHARP S|\<Shift\> + <`ß`>|
|`‑`|U+2011|NON-BREAKING HYPHEN|\<Shift\> + \<Mod3\> + <`-`>|
|`–`|U+2013|EN DASH|\<Shift\> + <`,`>|
|`—`|U+2014|EM DASH|\<Shift\> + <`-`>|
|`‘`|U+2018|LEFT SINGLE QUOTATION MARK|\<Mod3\> + <`9`>|
|`’`|U+2019|RIGHT SINGLE QUOTATION MARK|\<Mod3\> + <`0`>|
|`‚`|U+201A|SINGLE LOW-9 QUOTATION MARK|\<Mod3\> + <`8`>|
|`“`|U+201C|LEFT DOUBLE QUOTATION MARK|\<Shift\> + <`9`>|
|`”`|U+201D|RIGHT DOUBLE QUOTATION MARK|\<Shift\> + <`0`>|
|`„`|U+201E|DOUBLE LOW-9 QUOTATION MARK|\<Shift\> + <`8`>|
|`•`|U+2022|BULLET|\<Shift\> + <`.`>|
|`…`|U+2026|HORIZONTAL ELLIPSIS|\<Mod3\> + <`x`>|
|` `|U+202F|NARROW NO-BREAK SPACE|\<Mod3\> + \<Mod4\> + \<Leertaste\>|
|`‹`|U+2039|SINGLE LEFT-POINTING ANGLE QUOTATION MARK|\<Mod3\> + <`5`>|
|`›`|U+203A|SINGLE RIGHT-POINTING ANGLE QUOTATION MARK|\<Mod3\> + <`4`>|
|`₀`|U+2080|SUBSCRIPT ZERO|\<Shift\> + \<Mod3\> + <`0`>|
|`₁`|U+2081|SUBSCRIPT ONE|\<Shift\> + \<Mod3\> + <`1`>|
|`₂`|U+2082|SUBSCRIPT TWO|\<Shift\> + \<Mod3\> + <`2`>|
|`₃`|U+2083|SUBSCRIPT THREE|\<Shift\> + \<Mod3\> + <`3`>|
|`€`|U+20AC|EURO SIGN|\<Shift\> + <`7`>|
|`ℂ`|U+2102|DOUBLE-STRUCK CAPITAL C|\<Mod3\> + \<Mod4\> + <`c`>|
|`ℓ`|U+2113|SCRIPT SMALL L|\<Shift\> + <`3`>|
|`ℕ`|U+2115|DOUBLE-STRUCK CAPITAL N|\<Mod3\> + \<Mod4\> + <`n`>|
|`№`|U+2116|NUMERO SIGN|\<Mod4\> + <`3`>|
|`ℚ`|U+211A|DOUBLE-STRUCK CAPITAL Q|\<Mod3\> + \<Mod4\> + <`q`>|
|`ℝ`|U+211D|DOUBLE-STRUCK CAPITAL R|\<Mod3\> + \<Mod4\> + <`r`>|
|`ℤ`|U+2124|DOUBLE-STRUCK CAPITAL Z|\<Mod3\> + \<Mod4\> + <`z`>|
|`ℵ`|U+2135|ALEF SYMBOL|\<Mod3\> + \<Mod4\> + <`ä`>|
|`→`|U+2192|RIGHTWARDS ARROW|\<Mod3\> + \<Mod4\> + <`7`>|
|`↦`|U+21A6|RIGHTWARDS ARROW FROM BAR|\<Mod3\> + \<Mod4\> + <`.`>|
|`⇐`|U+21D0|LEFTWARDS DOUBLE ARROW|\<Mod3\> + \<Mod4\> + <`b`>|
|`⇒`|U+21D2|RIGHTWARDS DOUBLE ARROW|\<Mod3\> + \<Mod4\> + <`,`>|
|`⇔`|U+21D4|LEFT RIGHT DOUBLE ARROW|\<Mod3\> + \<Mod4\> + <`m`>|
|`∀`|U+2200|FOR ALL|\<Mod3\> + \<Mod4\> + <`a`>|
|`∂`|U+2202|PARTIAL DIFFERENTIAL|\<Mod3\> + \<Mod4\> + <`t`>|
|`∃`|U+2203|THERE EXISTS|\<Mod3\> + \<Mod4\> + <`e`>|
|`∅`|U+2205|EMPTY SET|\<Mod3\> + \<Mod4\> + <`0`>|
|`∇`|U+2207|NABLA|\<Mod3\> + \<Mod4\> + <`y`>|
|`∈`|U+2208|ELEMENT OF|\<Mod3\> + \<Mod4\> + <`o`>|
|`−`|U+2212|MINUS SIGN|\<Mod4\> + <`ß`>|
|`∘`|U+2218|RING OPERATOR|\<Mod3\> + \<Mod4\> + <`ß`>|
|`√`|U+221A|SQUARE ROOT|\<Mod3\> + \<Mod4\> + <`v`>|
|`∝`|U+221D|PROPORTIONAL TO|\<Mod3\> + \<Mod4\> + <`9`>|
|`∞`|U+221E|INFINITY|\<Mod3\> + \<Mod4\> + <`8`>|
|`∡`|U+2221|MEASURED ANGLE|\<Mod3\> + \<Mod4\> + <`5`>|
|`∥`|U+2225|PARALLEL TO|\<Mod3\> + \<Mod4\> + <`6`>|
|`∧`|U+2227|LOGICAL AND|\<Mod3\> + \<Mod4\> + <`3`>|
|`∨`|U+2228|LOGICAL OR|\<Mod3\> + \<Mod4\> + <`2`>|
|`∩`|U+2229|INTERSECTION|\<Mod3\> + \<Mod4\> + <`ö`>|
|`∪`|U+222A|UNION|\<Mod3\> + \<Mod4\> + <`ü`>|
|`∫`|U+222B|INTEGRAL|\<Mod3\> + \<Mod4\> + <`i`>|
|`⊂`|U+2282|SUBSET OF|\<Mod3\> + \<Mod4\> + <`u`>|
|`⊥`|U+22A5|UP TACK|\<Mod3\> + \<Mod4\> + <`4`>|
|`⋮`|U+22EE|VERTICAL ELLIPSIS|\<Mod4\> + <`x`>|
|`╌`|U+254C|BOX DRAWINGS LIGHT DOUBLE DASH HORIZONTAL|\<Mod3\> + \<Mod4\> + <`-`>|
|`♀`|U+2640|FEMALE SIGN|\<Shift\> + \<Mod3\> + <`4`>|
|`♂`|U+2642|MALE SIGN|\<Shift\> + \<Mod3\> + <`5`>|
|`⚥`|U+26A5|MALE AND FEMALE SIGN|\<Shift\> + \<Mod3\> + <`6`>|
|`⟨`|U+27E8|MATHEMATICAL LEFT ANGLE BRACKET|\<Shift\> + \<Mod3\> + <`8`>|
|`⟩`|U+27E9|MATHEMATICAL RIGHT ANGLE BRACKET|\<Shift\> + \<Mod3\> + <`9`>|
