# Ergonomische Tastaturen

!!! warning "Zu beachten"
    Dieser Artikel enthält veraltete Informationen. Bitte hilf mit, ihn auf den neuesten Stand zu bringen.

Dieser Artikel handelt von ergonomischen, also an den Körper des Menschen angepasste Tastaturen.

## Ergonomie allgemein

Der Wissensstand bis 2008 ist zusammengefasst in „Ergonomische Anforderungen an Eingabemittel für Geräte der Informationstechnik (BGIA-Report 3/2008)“.

Auf der Internetseite kann er heruntergeladen werden:
[BGIA-Report 3/2008](http://www.dguv.de/ifa/Publikationen/Reports-Download/BGIA-Reports-2007-bis-2008/BGIA-Report-3-2008/index.jsp)

Ein paar Testberichte finden sich [hier](http://www.anandtech.com/tag/keyboard).

## Überblick über Nicht-Standardtastaturen

|Name der Tastatur|**V**ersetzte Tasten oder **M**atrix-Tastatur|Rechte Hälfte eine Taste kürzer als normal|Track**P**oint/<br>Track**B**all/<br>Touchpa**D**|Bemerkungen|
| :---: | :---: | :---: | :---: | :---: |
|[TypeMatrix](http://www.typematrix.com/overview/)|M|ja|–|keine CapsLock-Taste, 110-120 $|
|[Truly Ergonomic](http://www.trulyergonomic.com/)|M|ja|–|248 $|
|[Kinesis Advantage](http://kinesis-ergo.com/advantage.htm)|M|ja|–|299-359 $|
|[Kinesis Freestyle 2](http://www.kinesis-ergo.com/freestyle2.htm)|V|nein|–|99-119 $|
|[Hauptseite von Maltron](http://www.maltron.com/)|M|nein|B (mit und ohne Trackball erhältlich)|einzige Matrixtastatur mit Zahlen 1–6 auf linker Seite|
|[IBM SpaceSaver II](http://www.ciao.de/IBM_Tastatur__1294225) ([weitere Bilder](http://www.clickykeyboards.com/index.cfm/fa/items.main/parentcat/9231/subcatid/0/id/222140) und [Lenovo-Originalseite](http://www-307.ibm.com/pc/support/site.wss/document.do?lndocid=MIGR-487PPW))|V|nein|P|Tastatur wie bei einem Thinkpad|
|DataHand|M|ja|P (Bedienung wie Trackpoint)|wieder lieferbar ab Ende 2010; Firmenseite defekt|
|[Keyboard.IO](http://launch.keyboard.io/)|M|nein|–|interessante Daumentasten|
|[King's Assembly](https://www.kickstarter.com/projects/70308014/kings-assembly-a-computer-mouse-full-of-awesome)|M|nein|–|Maus und Tastatur in einem, vor allem für Gamer interessant|
|[Acid Fire Modular Keyboard System](http://geekhack.org/index.php?topic=44940.0)|M|ja|–|mehrere verschiebbare Module, wird noch nicht produziert|
|[Key 64](http://www.key64.org/)|M|ja|–|Open-Source-Projekt, nur 64 Tasten. Emacs-optimiert.|
|[Scythe Ergo Diver](http://www.scythe-eu.com/produkte/pc-zubehoer/ergo-diver-tastatur.html) ([Review](http://www.dansdata.com/edkb.htm))|M|ja|–|–|
|[Comfort Keyboard](http://www.comfortkeyboard.com/keyboards_comfort.html)|V|ja|–|–|
|[Safetype Keyboard](http://www.safetype.com/)|V|ja|–|189-289,75 $|
|[Bilder der µTRON](http://www.mqiq.com/?tag=%CE%BCtron-keyboard) |V|nein|–|[Video](http://www.youtube.com/watch?v=Re0fRZJ43JQ)|
|[YogiType](http://www.yogitype.com/de/)|P|nein|–|Haltung der Tastatur ähnelt einem Buch|
|[ErgoDox EZ](http://ergodox-ez.org/)|M|ja|–|OpenSource-Projekt. Von Erez Zukerman und Yaara Lancet ist Ergodox EZ ein fertig montiertes Set, mit mechanischen Kippfüssen zum Ausrichten, Handauflagen und optionaler Beleuchtung. Auf die Tastatur geben sie 2 Jahre Garantie. Man kann aus einer vielfältigen Auswahl an Cherry Keycaps bei der Bestellung wählen. $270–$355|
|[Siemens/Fujitsu KBPC E](http://www.fujitsu.com/fts/products/computing/pc/accessories/input-devices/keyboards/keyboard-kbpc-px-eco.html)|V|nein|–|läuft schräg nach oben ähnlich einer Schreibmaschine, dabei verstellbar|
|[PFU Happy Hacking Keyboard Professional2](http://www.pfu.fujitsu.com/hhkeyboard/hhkbpro2/)|V|nein|–|läuft schräg noch oben ähnlich einer Schreibmaschine|
|[Lenovo ThinkPad Travel UltraNav USB Keyboard](http://www-307.ibm.com/pc/support/site.wss/MIGR-45849.html)|V|nein|P und D|Tastatur wie bei einem Thinkpad|
|[VeloType](http://www.velotype.com/en/)|M+V| |D|Stenotastatur, Kosten ca. 1500€, Test+Ratenzahlung möglich|

## Mechanische (Cherry-) Tastaturen

|Name der Tastatur|**V**ersetzte Tasten oder **M**atrix-Tastatur|Rechte Hälfte eine Taste kürzer als normal|Track**P**oint/<br>Track**B**all/<br>Touchpa**D**|Bemerkungen|
| :---: | :---: | :---: | :---: | :---: |
|[WASD V2 Keyboard](http://www.wasdkeyboards.com/index.php/products/mechanical-keyboard.html)|V|ja|–|Tastatur wird nach detaillierten eigenen Wünschen gefertigt, voll symmetrisch; 149.99 $|
|[CODE Keyboard](http://codekeyboards.com/)|V|ja|–|De-Luxe Variante des WASD Keyboards, alle paar Monate verfügbar; 149.99 $|
|[Steelseries 7G](http://steelseries.com/products/keyboards/steelseries-7g)|V|ja|–|129,99 €|
|[Cherry Compact-Keyboard G84-4100](http://www.cherry.de/deutsch/produkte/kompakttastaturen_G84-4100.htm)|V|nein|–|~105 €|
|[Cherry XS Trackball Keyboard](http://www.cherry.de/cid/b2b_tastaturen_XS_Trackball_Keyboard.htm)|V|nein|B|~90 €|
|[Cherry XS Touchpad Keyboard](http://www.cherry.de/cid/b2b_kompakttastaturen_XS_Touchpad_Keyboard.htm)|V|nein|D|~90 €|
|[Cherry G80-3000](http://www.cherry.de/cid/b2b_kabeltastaturen_G80-3000.htm)|V|–|–|45 €|
|[RK 9000](http://www.rosewill.com/landingpage/pk9000/rk_9000.html)|V|–|–|voll symmetrisch; 89-99 $|
|[DAS Keyboard](http://www.getdigital.de/Das-Keyboard-Model-S.html)|V|–|–|129 €|
|[Filco Majestouch](http://www.getdigital.de/Filco-Majestouch-Profi-Tastatur.html)|V|–|–|149 €|

### Cherry-Schalter
 * [Ausführliche Informationen zu mechanischen Tastaturen/Schaltern; englisch ](http://www.reddit.com/r/MechanicalKeyboards/wiki/buying_guide)
 * [FAQ Mechanische Tastaturen](http://www.computerbase.de/forum/showthread.php?t=896502) Hervorragender Artikel zu mechanischen Tastaturen und Cherry-Schaltern ([englischer Link mit etwas detaillierteren/zusätzlichen Infos](http://www.overclock.net/t/491752/mechanical-keyboard-guide#post_6009418))
 * Erklärung und Vergleich der unterschiedlichen Schalter in verschiedenen Tastaturen von Cherry und anderen Herstellern (Cherry G80, G81, G83, Chicony, Lenovos externe ThinkPad Tastatur, steelseries 7G), die diese Taster verwenden: [Cherry-Tastaturen](http://www.uwe-freese.de/sonstiges/produkt-tests/tastaturen.html)
 * Erklärung der Technik der IBM Modelle: [Buckling spring](http://en.wikipedia.org/wiki/Buckling_spring)
 * [Liste](http://geekhack.org/showwiki.php?title=Dating+Cherry+keyboards) **aller Cherry G80-3000-Modelle** mit Modellnummern

## Fossilien

|Name der Tastatur|**V**ersetzte Tasten oder **M**atrix-Tastatur|Rechte Hälfte eine Taste kürzer als normal|Track**P**oint/<br>Track**B**all/<br>Touchpa**D**|Bemerkungen|
| :---: | :---: | :---: | :---: | :---: |
|Plum-Tastatur|M|ja|–|Firmenseite defekt|
|DataDesk Smartboard UPC5000|M|ja|–|Ist seit ~2006 nicht mehr käuf­lich zu er­hal­ten. Auf Kon­takt­ver­su­che wird nicht mehr rea­giert. Be­stel­lun­gen wer­den ig­no­riert. [Rezension](http://www.atpm.com/12.05/smartboard.shtml)|
|[Miniguru](http://www.guru-board.com/german/features_de)|V|nein|P|wird doch nicht produziert|
