# Plover

!!! warning "Fehlerhafte Links"
    Einige Links zu anderen Dokuseiten funktionieren (noch) nicht und sind auch nicht umgestellt auf die Endung `.md`. Bitte passt die Links an, sobald die entsprechenden Seiten bereitstehen.
    
Plover ist ein englischsprachiges Steno-System, dass sich vor allem für
Fließtexte eignet und dabei höhere Geschwindigkeit bei verringerter Fehlerquote verspricht.

Statt Tasten drückt man Akkorde. Dafür benötigt man ein
[NKRO](https://de.wikipedia.org/wiki/Tastatur#Key_Rollover)-Keyboard und viel
Geduld beim Lernen, da das System im Vergleich zum „normalen” Tippen deutlich komplexer ist.
Der Lernaufwand liegt deutlich höher als bei Neo.

(Außerdem sollte man kein xterm verwenden, weil Plover dort komplett versagt).

Die Steno-Tastatur sieht so aus:

![Image](plover.png) 

## Anleitungen

Anleitungen/Apps für Plover sind v.a. für QWERTY geschrieben.
Eine gute und neutrale Anleitung zum Lernen findet man
[hier](https://sites.google.com/site/ploverdoc/).

## Ergonomieverbesserungen (notwendig für Teck)

Plover (wie die Steno-Tastatur) scheint rechtslastig ausgelegt; d.h.
rechts ist eine Taste mehr als links. 
Außerdem kommen „S“ links und „*“ doppelt vor.

Die Gründe dafür sind nebulös, jedenfalls belastet das den rechten kleinen
Finger übermäßig und ist auf einer Tastatur ohne sechs Tasten rechts
(wie bei der Truly) unmöglich zu tippen.

Als Alternative gibt es eine ergonomische Variante, die das Layout symmetrisch
über beide Hände verteilt (d.h. der linke Zeigefinger liegt auf „*“) und außerdem die in der Abbildung
oben nicht dargestellte Zahlenreihe „#“ leichter zugänglich macht.

Durch dieses Layout geht keine Funktionalität in Steno verloren, es ist also
bedenkenlos zu empfehlen.

## Installation
Plover speichert die Tastenübersetzungen für verschiedene Tastaturen im Ordner
*/machine*. Für gewöhnliche NKRO-Keyboards ist das die Datei *sidewinder.py*.

Je nach System liegt die Datei an unterschiedlichen Orten. Für Linux am besten
im Terminal ausführen:

```
locate sidewinder.py
```

Danach die Datei mit der Datei [teck.py](teck.py) überschreiben.

## Windows

Laut Plover-Wiki soll es mit Autohotkey und Plover zu Problemen kommen.
Daher sollte man für Plover statt Neovars den [kbdneo-Treiber ](Neo-unter-Windows-einrichten/kbdneo) verwenden.

## Bugs

Viele Bugs in Plover rühren daher, dass Plover Tasten statt Keycodes erkennt.

Um alle Fehler zu vermeiden, benutzen manche für Plover ausschließlich das
US-Layout (d.h. schalten vorher um). In sämtlichen anderen Layouts kann es zu
Problemen kommen. 

Leider existiert zur Zeit keine Programmierschnittstelle für Plover, durch die
man den Status (aktiv/inaktiv) abfragen könnte. Elegante Lösungen zum automatischen Umschalten
stehen noch aus.

### Irrtümlich erkannte/ nicht erkannte Tasten

Mit Neo werden die äußeren Zeichen „ü“ und „ö“ als „G“ und „O“ in Plover interpretiert.

Dieses Problem tritt bei den entsprechenden Tasten „k“ und „v“ auch bei den Bone-Varianten (inkl. [Flux](Flux) und [V2](V2) ) auf.

### Zeichensetzung/Leerzeichen

Mit Neo (möglicherweise auch anderen Layouts) kommt es zu vielen Fehlern bei der
Zeichensetzung:

* Am Zeilenanfang wird ein Leerzeichen eingefügt (vor dem ersten Wort).
* Anstelle von Apostrophen in Wörtern wie „you'll” entstehen Gebilde wie „you,ll”.
* Sämtliche Sonderzeichen wie „?“ oder der Bindestrich funktionieren nicht.
* Alle Akkorde mit der „#“–Taste (v.a. Zahlen) werden ignoriert.

### V2

In Vim mit [V2](V2) oder [V2-flux](V2flux) kommt es zu grauenhaftem Verhalten, wenn in Plover
„A“ (an der Position von „Esc“ in v2 ) gedrückt wird. Daher sollte während der Nutzung von Plover ein Treiber verwendet werden, der Esc durch ein anderes Zeichen ersetzt.
