!!! warning "Achtung"
    Dieser Artikel ist größtenteils veraltet. Aktuelle KTouch-Versionen bringen bereits Konfiguration und Lektionen für Neo2 mit und sollten diese unter unixoiden System automatisch wählen, wenn das Neo-Layout im Betriebssystem eingestellt ist.

    Die Hinweise zu Versionen für Windows und MacOS wurden bereits rausgenommen.

# KTouch für Neo einrichten

!!! tip "Hinweis"
    Dieser Artikel ist für KTouch Version 1.7.1 (unter KDE 4.2.3) geschrieben. Für die veraltete Version unter KDE 3 gibt es eine [alte Anleitung](Neo-einrichten-unter-Ktouch).

KTouch kommt mit einer Reihe von Tastaturbelegungen und Trainingslektionen daher. Leider müssen diese Dateien für Neo (noch) von Hand hinzugefügt werden. Alle von der Neo-Community gesammelten Dateien befinden sich im Repository unter [ktouch](https://git.neo-layout.org/neo/neo-layout/src/branch/master/ktouch). Zur Installation müssen sie einfach nur heruntergeladen und in das Benutzerverzeichnis kopiert werden. Weiter unten gibt es für alle relevanten Dateien direkte Links.


## Benutzerverzeichnis
Nach der Installation befindet sich KTouch samt den Standardlektionen und Tastaturbelegungen im Programmverzeichnis. Nach dem ersten Start legt KTouch ein Benutzerverzeichnis an, entweder unter `~/.kde/share/apps/ktouch/` oder unter `~/.kde4/share/apps/ktouch/` (`~` steht für das Homeverzeichnis, z. B. `/home/martin`).

## Tastatur
Um die Neo-Tastaturbelegung nutzen zu können, muss die Datei [de.neo2.all.keyboard.xml](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/ktouch/keyboards/de.neo2.all.keyboard.xml) in das Benutzerverzeichnis kopiert werden. Nach einem Neustart von KTouch kann sie über das Hauptmenü *Einstellungen* → *Tastaturbelegungen* → *Deutsch (Neo2) (de)* ausgewählt werden.


## Lektionen
Unter [ktouch/lectures](https://git.neo-layout.org/neo/neo-layout/src/branch/master/ktouch/lectures) findet sich im Repository eine Reihe von speziell an Neo angepassten Lektionen.

| **Lektion** | **Beschreibung** |
| :--- | :--- |
| [Deutsch (Neo2 Tastaturbelegung)](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/ktouch/lectures/german.neo2.layout.ktouch.xml) | Dies ist die empfohlene Version für Anfänger. Es werden schrittweise alle Buchstaben und Zeichen von Neo eingeführt. Alle nachfolgenden Dateien dieser Tabelle sind nur zum Testen oder für Fortgeschrittene relevant. |
| [Deutsch (Neo2 10.000 Wörter)](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/ktouch/lectures/german.neo2.10000words.ktouch.xml) | Alternativ/ergänzend: Eine Lektion zum Erlernen der 1. Ebene. Anstatt nur Buchstabenkombinationen zu tippen, werden die 10.000 häufigsten deutschen Wörter abgefragt. Wie eben werden alle Buchstaben der Reihe nach eingeführt, d. h. in jeder Stufe nur die Wörter abgefragt, deren Buchstaben schon bekannt sind. |
| [Deutsch (Neo2 Test)](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/ktouch/lectures/german.neo2.test.ktouch.xml) | In 7 Stufen werden alle Zeichen der Neo-Tastaturbelegung einmal abgefragt. |
| [Deutsch (Neo Häufigkeitsanalyse)](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/ktouch/lectures/german.neo.letterfrequency.ktouch.xml) | Eine sehr kurze Lektion, die lediglich aus ein paar Bi- und Trigrammen besteht. |
| [Deutsch (Neo1 Tastaturbelegung)](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/ktouch/lectures/german.neo1.layout.ktouch.xml) | Die ursprüngliche Lektion von Hanno Behrens für Neo1. |

Um eine Lektion zu installieren, muss man nur die entsprechende Datei in das Benutzerverzeichnis kopieren und anschließend nach einem Neustart von KTouch über das Hauptmenü *Training* → *Standardlektionen* → *<LEKTION\>* die gewünschte Lektion auswählen.

Die empfohlene Lektion „Deutsch (Neo2 Tastaturbelegung)“ basiert auf der finalen Version 2 von Neo, die anderen teilweise noch auf Release Candidates oder gar auf Neo 1. Veraltete Versionen führen Buchstaben und Zeichen möglicherweise in einer falschen Reihenfolge ein.

Wer [eigene KTouch-Lektionen schreiben](EigeneKTouchLektionenSchreiben.md) möchte, findet 
neben dieser Anleitung auch nützliche [Tools](EigeneKTouchLektionenSchreiben.md#tools) zum automatischen Generieren von Lektionen.
